javax.media.opengl

## Interface GLES2

- All Superinterfaces:
    GL, GL2ES2, GLBase
  All Known Subinterfaces:
    GLES3
  All Known Implementing Classes:
    DebugGLES2, DebugGLES3, TraceGLES2, TraceGLES3

      public interface GLES2
      extends GL2ES2

  This interface contains all OpenGL ES 2.0 methods, as well as most of it's extensions defined at the time of this specification.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `GL_3DC_X_AMD` Part of `GL_AMD_compressed_3DC_texture`
    `static int` | `GL_3DC_XY_AMD` Part of `GL_AMD_compressed_3DC_texture`
    `static int` | `GL_ALL_COMPLETED_NV` Part of `GL_NV_fence`
    `static int` | `GL_ALPHA_TEST_FUNC_QCOM` Part of `GL_QCOM_alpha_test`
    `static int` | `GL_ALPHA_TEST_QCOM` Part of `GL_QCOM_alpha_test`
    `static int` | `GL_ALPHA_TEST_REF_QCOM` Part of `GL_QCOM_alpha_test`
    `static int` | `GL_ATC_RGB_AMD` Part of `GL_AMD_compressed_ATC_texture`
    `static int` | `GL_ATC_RGBA_EXPLICIT_ALPHA_AMD` Part of `GL_AMD_compressed_ATC_texture`
    `static int` | `GL_ATC_RGBA_INTERPOLATED_ALPHA_AMD` Part of `GL_AMD_compressed_ATC_texture`
    `static int` | `GL_BGRA_IMG` Part of `GL_IMG_read_format`
    `static int` | `GL_BINNING_CONTROL_HINT_QCOM` Part of `GL_QCOM_binning_control`
    `static int` | `GL_BUFFER_OBJECT_EXT` Part of `GL_EXT_debug_label`
    `static int` | `GL_CLAMP_TO_BORDER_NV` Part of `GL_NV_texture_border_clamp`
    `static int` | `GL_COLOR_ATTACHMENT_EXT` Part of `GL_EXT_multiview_draw_buffers`
    `static int` | `GL_COLOR_BUFFER_BIT0_QCOM` Part of `GL_QCOM_tiled_rendering`
    `static int` | `GL_COLOR_BUFFER_BIT1_QCOM` Part of `GL_QCOM_tiled_rendering`
    `static int` | `GL_COLOR_BUFFER_BIT2_QCOM` Part of `GL_QCOM_tiled_rendering`
    `static int` | `GL_COLOR_BUFFER_BIT3_QCOM` Part of `GL_QCOM_tiled_rendering`
    `static int` | `GL_COLOR_BUFFER_BIT4_QCOM` Part of `GL_QCOM_tiled_rendering`
    `static int` | `GL_COLOR_BUFFER_BIT5_QCOM` Part of `GL_QCOM_tiled_rendering`
    `static int` | `GL_COLOR_BUFFER_BIT6_QCOM` Part of `GL_QCOM_tiled_rendering`
    `static int` | `GL_COLOR_BUFFER_BIT7_QCOM` Part of `GL_QCOM_tiled_rendering`
    `static int` | `GL_COLOR_EXT` Part of `GL_EXT_discard_framebuffer`
    `static int` | `GL_COMPRESSED_RGB_PVRTC_2BPPV1_IMG` Part of `GL_IMG_texture_compression_pvrtc`
    `static int` | `GL_COMPRESSED_RGB_PVRTC_4BPPV1_IMG` Part of `GL_IMG_texture_compression_pvrtc`
    `static int` | `GL_COMPRESSED_RGBA_ASTC_10x10_KHR` Part of `GL_KHR_texture_compression_astc_ldr`
    `static int` | `GL_COMPRESSED_RGBA_ASTC_10x5_KHR` Part of `GL_KHR_texture_compression_astc_ldr`
    `static int` | `GL_COMPRESSED_RGBA_ASTC_10x6_KHR` Part of `GL_KHR_texture_compression_astc_ldr`
    `static int` | `GL_COMPRESSED_RGBA_ASTC_10x8_KHR` Part of `GL_KHR_texture_compression_astc_ldr`
    `static int` | `GL_COMPRESSED_RGBA_ASTC_12x10_KHR` Part of `GL_KHR_texture_compression_astc_ldr`
    `static int` | `GL_COMPRESSED_RGBA_ASTC_12x12_KHR` Part of `GL_KHR_texture_compression_astc_ldr`
    `static int` | `GL_COMPRESSED_RGBA_ASTC_4x4_KHR` Part of `GL_KHR_texture_compression_astc_ldr`
    `static int` | `GL_COMPRESSED_RGBA_ASTC_5x4_KHR` Part of `GL_KHR_texture_compression_astc_ldr`
    `static int` | `GL_COMPRESSED_RGBA_ASTC_5x5_KHR` Part of `GL_KHR_texture_compression_astc_ldr`
    `static int` | `GL_COMPRESSED_RGBA_ASTC_6x5_KHR` Part of `GL_KHR_texture_compression_astc_ldr`
    `static int` | `GL_COMPRESSED_RGBA_ASTC_6x6_KHR` Part of `GL_KHR_texture_compression_astc_ldr`
    `static int` | `GL_COMPRESSED_RGBA_ASTC_8x5_KHR` Part of `GL_KHR_texture_compression_astc_ldr`
    `static int` | `GL_COMPRESSED_RGBA_ASTC_8x6_KHR` Part of `GL_KHR_texture_compression_astc_ldr`
    `static int` | `GL_COMPRESSED_RGBA_ASTC_8x8_KHR` Part of `GL_KHR_texture_compression_astc_ldr`
    `static int` | `GL_COMPRESSED_RGBA_PVRTC_2BPPV1_IMG` Part of `GL_IMG_texture_compression_pvrtc`
    `static int` | `GL_COMPRESSED_RGBA_PVRTC_2BPPV2_IMG` Part of `GL_IMG_texture_compression_pvrtc2`
    `static int` | `GL_COMPRESSED_RGBA_PVRTC_4BPPV1_IMG` Part of `GL_IMG_texture_compression_pvrtc`
    `static int` | `GL_COMPRESSED_RGBA_PVRTC_4BPPV2_IMG` Part of `GL_IMG_texture_compression_pvrtc2`
    `static int` | `GL_COMPRESSED_RGBA_S3TC_DXT3_ANGLE` Part of `GL_ANGLE_texture_compression_dxt3`
    `static int` | `GL_COMPRESSED_RGBA_S3TC_DXT5_ANGLE` Part of `GL_ANGLE_texture_compression_dxt5`
    `static int` | `GL_COMPRESSED_SRGB_ALPHA_S3TC_DXT1_NV` Part of `GL_NV_sRGB_formats`
    `static int` | `GL_COMPRESSED_SRGB_ALPHA_S3TC_DXT3_NV` Part of `GL_NV_sRGB_formats`
    `static int` | `GL_COMPRESSED_SRGB_ALPHA_S3TC_DXT5_NV` Part of `GL_NV_sRGB_formats`
    `static int` | `GL_COMPRESSED_SRGB_S3TC_DXT1_NV` Part of `GL_NV_sRGB_formats`
    `static int` | `GL_COMPRESSED_SRGB8_ALPHA8_ASTC_10x10_KHR` Part of `GL_KHR_texture_compression_astc_ldr`
    `static int` | `GL_COMPRESSED_SRGB8_ALPHA8_ASTC_10x5_KHR` Part of `GL_KHR_texture_compression_astc_ldr`
    `static int` | `GL_COMPRESSED_SRGB8_ALPHA8_ASTC_10x6_KHR` Part of `GL_KHR_texture_compression_astc_ldr`
    `static int` | `GL_COMPRESSED_SRGB8_ALPHA8_ASTC_10x8_KHR` Part of `GL_KHR_texture_compression_astc_ldr`
    `static int` | `GL_COMPRESSED_SRGB8_ALPHA8_ASTC_12x10_KHR` Part of `GL_KHR_texture_compression_astc_ldr`
    `static int` | `GL_COMPRESSED_SRGB8_ALPHA8_ASTC_12x12_KHR` Part of `GL_KHR_texture_compression_astc_ldr`
    `static int` | `GL_COMPRESSED_SRGB8_ALPHA8_ASTC_4x4_KHR` Part of `GL_KHR_texture_compression_astc_ldr`
    `static int` | `GL_COMPRESSED_SRGB8_ALPHA8_ASTC_5x4_KHR` Part of `GL_KHR_texture_compression_astc_ldr`
    `static int` | `GL_COMPRESSED_SRGB8_ALPHA8_ASTC_5x5_KHR` Part of `GL_KHR_texture_compression_astc_ldr`
    `static int` | `GL_COMPRESSED_SRGB8_ALPHA8_ASTC_6x5_KHR` Part of `GL_KHR_texture_compression_astc_ldr`
    `static int` | `GL_COMPRESSED_SRGB8_ALPHA8_ASTC_6x6_KHR` Part of `GL_KHR_texture_compression_astc_ldr`
    `static int` | `GL_COMPRESSED_SRGB8_ALPHA8_ASTC_8x5_KHR` Part of `GL_KHR_texture_compression_astc_ldr`
    `static int` | `GL_COMPRESSED_SRGB8_ALPHA8_ASTC_8x6_KHR` Part of `GL_KHR_texture_compression_astc_ldr`
    `static int` | `GL_COMPRESSED_SRGB8_ALPHA8_ASTC_8x8_KHR` Part of `GL_KHR_texture_compression_astc_ldr`
    `static int` | `GL_COUNTER_RANGE_AMD` Part of `GL_AMD_performance_monitor`
    `static int` | `GL_COUNTER_TYPE_AMD` Part of `GL_AMD_performance_monitor`
    `static int` | `GL_COVERAGE_ALL_FRAGMENTS_NV` Part of `GL_NV_coverage_sample`
    `static int` | `GL_COVERAGE_ATTACHMENT_NV` Part of `GL_NV_coverage_sample`
    `static int` | `GL_COVERAGE_AUTOMATIC_NV` Part of `GL_NV_coverage_sample`
    `static int` | `GL_COVERAGE_BUFFER_BIT_NV` Part of `GL_NV_coverage_sample`
    `static int` | `GL_COVERAGE_BUFFERS_NV` Part of `GL_NV_coverage_sample`
    `static int` | `GL_COVERAGE_COMPONENT_NV` Part of `GL_NV_coverage_sample`
    `static int` | `GL_COVERAGE_COMPONENT4_NV` Part of `GL_NV_coverage_sample`
    `static int` | `GL_COVERAGE_EDGE_FRAGMENTS_NV` Part of `GL_NV_coverage_sample`
    `static int` | `GL_COVERAGE_SAMPLES_NV` Part of `GL_NV_multisample_coverage`, `GL_NV_coverage_sample`
    `static int` | `GL_CPU_OPTIMIZED_QCOM` Part of `GL_QCOM_binning_control`
    `static int` | `GL_DEPTH_BUFFER_BIT0_QCOM` Part of `GL_QCOM_tiled_rendering`
    `static int` | `GL_DEPTH_BUFFER_BIT1_QCOM` Part of `GL_QCOM_tiled_rendering`
    `static int` | `GL_DEPTH_BUFFER_BIT2_QCOM` Part of `GL_QCOM_tiled_rendering`
    `static int` | `GL_DEPTH_BUFFER_BIT3_QCOM` Part of `GL_QCOM_tiled_rendering`
    `static int` | `GL_DEPTH_BUFFER_BIT4_QCOM` Part of `GL_QCOM_tiled_rendering`
    `static int` | `GL_DEPTH_BUFFER_BIT5_QCOM` Part of `GL_QCOM_tiled_rendering`
    `static int` | `GL_DEPTH_BUFFER_BIT6_QCOM` Part of `GL_QCOM_tiled_rendering`
    `static int` | `GL_DEPTH_BUFFER_BIT7_QCOM` Part of `GL_QCOM_tiled_rendering`
    `static int` | `GL_DEPTH_COMPONENT16_NONLINEAR_NV` Part of `GL_NV_depth_nonlinear`
    `static int` | `GL_DEPTH_EXT` Part of `GL_EXT_discard_framebuffer`
    `static int` | `GL_DRAW_BUFFER_EXT` Part of `GL_EXT_multiview_draw_buffers`
    `static int` | `GL_DRAW_FRAMEBUFFER_ANGLE` Part of `GL_ANGLE_framebuffer_blit`
    `static int` | `GL_DRAW_FRAMEBUFFER_APPLE` Part of `GL_APPLE_framebuffer_multisample`
    `static int` | `GL_DRAW_FRAMEBUFFER_BINDING_ANGLE` Part of `GL_ANGLE_framebuffer_blit`
    `static int` | `GL_DRAW_FRAMEBUFFER_BINDING_APPLE` Part of `GL_APPLE_framebuffer_multisample`
    `static int` | `GL_DRAW_FRAMEBUFFER_BINDING_NV` Part of `GL_NV_framebuffer_blit`
    `static int` | `GL_DRAW_FRAMEBUFFER_NV` Part of `GL_NV_framebuffer_blit`
    `static int` | `GL_ETC1_RGB8_OES` Part of `GL_OES_compressed_ETC1_RGB8_texture`
    `static int` | `GL_ETC1_SRGB8_NV` Part of `GL_NV_sRGB_formats`
    `static int` | `GL_FENCE_CONDITION_NV` Part of `GL_NV_fence`
    `static int` | `GL_FENCE_STATUS_NV` Part of `GL_NV_fence`
    `static int` | `GL_FRAGMENT_SHADER_DISCARDS_SAMPLES_EXT` Part of `GL_EXT_shader_framebuffer_fetch`
    `static int` | `GL_FRAMEBUFFER_ATTACHMENT_ANGLE` Part of `GL_ANGLE_texture_usage`
    `static int` | `GL_FRAMEBUFFER_ATTACHMENT_TEXTURE_3D_ZOFFSET` Part of `GL_OES_texture_3D`
    `static int` | `GL_FRAMEBUFFER_ATTACHMENT_TEXTURE_SAMPLES_EXT` Part of `GL_EXT_multisampled_render_to_texture`
    `static int` | `GL_FRAMEBUFFER_INCOMPLETE_MULTISAMPLE_ANGLE` Part of `GL_ANGLE_framebuffer_multisample`
    `static int` | `GL_FRAMEBUFFER_INCOMPLETE_MULTISAMPLE_APPLE` Part of `GL_APPLE_framebuffer_multisample`
    `static int` | `GL_FRAMEBUFFER_INCOMPLETE_MULTISAMPLE_IMG` Part of `GL_IMG_multisampled_render_to_texture`
    `static int` | `GL_FRAMEBUFFER_INCOMPLETE_MULTISAMPLE_NV` Part of `GL_NV_framebuffer_multisample`
    `static int` | `GL_FRAMEBUFFER_UNDEFINED_OES` Part of `GL_OES_surfaceless_context`
    `static int` | `GL_GCCSO_SHADER_BINARY_FJ` Part of `GL_FJ_shader_binary_GCCSO`
    `static int` | `GL_GPU_DISJOINT_EXT` Part of `GL_EXT_disjoint_timer_query`
    `static int` | `GL_GPU_OPTIMIZED_QCOM` Part of `GL_QCOM_binning_control`
    `static int` | `GL_HALF_FLOAT_OES` Part of `GL_OES_texture_half_float`
    `static int` | `GL_LUMINANCE_ALPHA16F` Part of `GL_ARB_texture_float`; `GL_EXT_texture_storage`
    `static int` | `GL_LUMINANCE_ALPHA32F` Part of `GL_ARB_texture_float`; `GL_EXT_texture_storage`
    `static int` | `GL_LUMINANCE16F` Part of `GL_ARB_texture_float`; `GL_EXT_texture_storage`
    `static int` | `GL_LUMINANCE32F` Part of `GL_ARB_texture_float`; `GL_EXT_texture_storage`
    `static int` | `GL_LUMINANCE4_ALPHA4` Part of `GL_VERSION_1_1`; `GL_OES_required_internalformat`
    `static int` | `GL_LUMINANCE8` Part of `GL_VERSION_1_1`; `GL_EXT_texture`, `GL_EXT_texture_storage`; `GL_OES_required_internalformat`
    `static int` | `GL_LUMINANCE8_ALPHA8` Part of `GL_VERSION_1_1`; `GL_EXT_texture`, `GL_EXT_texture_storage`; `GL_OES_required_internalformat`
    `static int` | `GL_MALI_PROGRAM_BINARY_ARM` Part of `GL_ARM_mali_program_binary`
    `static int` | `GL_MALI_SHADER_BINARY_ARM` Part of `GL_ARM_mali_shader_binary`
    `static int` | `GL_MAX_MULTIVIEW_BUFFERS_EXT` Part of `GL_EXT_multiview_draw_buffers`
    `static int` | `GL_MAX_SAMPLES_ANGLE` Part of `GL_ANGLE_framebuffer_multisample`
    `static int` | `GL_MAX_SAMPLES_APPLE` Part of `GL_APPLE_framebuffer_multisample`
    `static int` | `GL_MAX_SAMPLES_IMG` Part of `GL_IMG_multisampled_render_to_texture`
    `static int` | `GL_MAX_SAMPLES_NV` Part of `GL_NV_framebuffer_multisample`
    `static int` | `GL_MULTISAMPLE_BUFFER_BIT0_QCOM` Part of `GL_QCOM_tiled_rendering`
    `static int` | `GL_MULTISAMPLE_BUFFER_BIT1_QCOM` Part of `GL_QCOM_tiled_rendering`
    `static int` | `GL_MULTISAMPLE_BUFFER_BIT2_QCOM` Part of `GL_QCOM_tiled_rendering`
    `static int` | `GL_MULTISAMPLE_BUFFER_BIT3_QCOM` Part of `GL_QCOM_tiled_rendering`
    `static int` | `GL_MULTISAMPLE_BUFFER_BIT4_QCOM` Part of `GL_QCOM_tiled_rendering`
    `static int` | `GL_MULTISAMPLE_BUFFER_BIT5_QCOM` Part of `GL_QCOM_tiled_rendering`
    `static int` | `GL_MULTISAMPLE_BUFFER_BIT6_QCOM` Part of `GL_QCOM_tiled_rendering`
    `static long` | `GL_MULTISAMPLE_BUFFER_BIT7_QCOM` Part of `GL_QCOM_tiled_rendering`
    `static int` | `GL_MULTIVIEW_EXT` Part of `GL_EXT_multiview_draw_buffers`
    `static int` | `GL_NVIDIA_PLATFORM_BINARY_NV`
    `static int` | `GL_PACK_REVERSE_ROW_ORDER_ANGLE` Part of `GL_ANGLE_pack_reverse_row_order`
    `static int` | `GL_PALETTE4_R5_G6_B5_OES` Part of `GL_OES_compressed_paletted_texture`
    `static int` | `GL_PALETTE4_RGB5_A1_OES` Part of `GL_OES_compressed_paletted_texture`
    `static int` | `GL_PALETTE4_RGB8_OES` Part of `GL_OES_compressed_paletted_texture`
    `static int` | `GL_PALETTE4_RGBA4_OES` Part of `GL_OES_compressed_paletted_texture`
    `static int` | `GL_PALETTE4_RGBA8_OES` Part of `GL_OES_compressed_paletted_texture`
    `static int` | `GL_PALETTE8_R5_G6_B5_OES` Part of `GL_OES_compressed_paletted_texture`
    `static int` | `GL_PALETTE8_RGB5_A1_OES` Part of `GL_OES_compressed_paletted_texture`
    `static int` | `GL_PALETTE8_RGB8_OES` Part of `GL_OES_compressed_paletted_texture`
    `static int` | `GL_PALETTE8_RGBA4_OES` Part of `GL_OES_compressed_paletted_texture`
    `static int` | `GL_PALETTE8_RGBA8_OES` Part of `GL_OES_compressed_paletted_texture`
    `static int` | `GL_PERCENTAGE_AMD` Part of `GL_AMD_performance_monitor`
    `static int` | `GL_PERFMON_GLOBAL_MODE_QCOM` Part of `GL_QCOM_perfmon_global_mode`
    `static int` | `GL_PERFMON_RESULT_AMD` Part of `GL_AMD_performance_monitor`
    `static int` | `GL_PERFMON_RESULT_AVAILABLE_AMD` Part of `GL_AMD_performance_monitor`
    `static int` | `GL_PERFMON_RESULT_SIZE_AMD` Part of `GL_AMD_performance_monitor`
    `static int` | `GL_PROGRAM_BINARY_ANGLE` Part of `GL_ANGLE_program_binary`
    `static int` | `GL_PROGRAM_OBJECT_EXT` Part of `GL_EXT_debug_label`
    `static int` | `GL_PROGRAM_PIPELINE_OBJECT_EXT` Part of `GL_EXT_debug_label`
    `static int` | `GL_QUERY_COUNTER_BITS_EXT` Part of `GL_EXT_disjoint_timer_query`
    `static int` | `GL_QUERY_OBJECT_EXT` Part of `GL_EXT_debug_label`
    `static int` | `GL_READ_BUFFER_EXT` Part of `GL_EXT_multiview_draw_buffers`
    `static int` | `GL_READ_BUFFER_NV` Part of `GL_NV_read_buffer`
    `static int` | `GL_READ_FRAMEBUFFER_ANGLE` Part of `GL_ANGLE_framebuffer_blit`
    `static int` | `GL_READ_FRAMEBUFFER_APPLE` Part of `GL_APPLE_framebuffer_multisample`
    `static int` | `GL_READ_FRAMEBUFFER_BINDING_ANGLE` Part of `GL_ANGLE_framebuffer_blit`
    `static int` | `GL_READ_FRAMEBUFFER_BINDING_APPLE` Part of `GL_APPLE_framebuffer_multisample`
    `static int` | `GL_READ_FRAMEBUFFER_BINDING_NV` Part of `GL_NV_framebuffer_blit`
    `static int` | `GL_READ_FRAMEBUFFER_NV` Part of `GL_NV_framebuffer_blit`
    `static int` | `GL_RENDER_DIRECT_TO_FRAMEBUFFER_QCOM` Part of `GL_QCOM_binning_control`
    `static int` | `GL_RENDERBUFFER_SAMPLES_ANGLE` Part of `GL_ANGLE_framebuffer_multisample`
    `static int` | `GL_RENDERBUFFER_SAMPLES_APPLE` Part of `GL_APPLE_framebuffer_multisample`
    `static int` | `GL_RENDERBUFFER_SAMPLES_IMG` Part of `GL_IMG_multisampled_render_to_texture`
    `static int` | `GL_RENDERBUFFER_SAMPLES_NV` Part of `GL_NV_framebuffer_multisample`
    `static int` | `GL_REQUIRED_TEXTURE_IMAGE_UNITS_OES` Part of `GL_OES_EGL_image_external`
    `static int` | `GL_RGB_422_APPLE` Part of `GL_APPLE_rgb_422`
    `static int` | `GL_SAMPLER_2D_ARRAY_SHADOW_NV` Part of `GL_NV_shadow_samplers_array`
    `static int` | `GL_SAMPLER_CUBE_SHADOW_NV` Part of `GL_NV_shadow_samplers_cube`
    `static int` | `GL_SAMPLER_EXTERNAL_OES` Part of `GL_OES_EGL_image_external`
    `static int` | `GL_SGX_BINARY_IMG` Part of `GL_IMG_shader_binary`
    `static int` | `GL_SGX_PROGRAM_BINARY_IMG` Part of `GL_IMG_program_binary`
    `static int` | `GL_SHADER_BINARY_VIV` Part of `GL_VIV_shader_binary`
    `static int` | `GL_SHADER_OBJECT_EXT` Part of `GL_EXT_debug_label`
    `static int` | `GL_SLUMINANCE_ALPHA_NV` Part of `GL_NV_sRGB_formats`
    `static int` | `GL_SLUMINANCE_NV` Part of `GL_NV_sRGB_formats`
    `static int` | `GL_SLUMINANCE8_ALPHA8_NV` Part of `GL_NV_sRGB_formats`
    `static int` | `GL_SLUMINANCE8_NV` Part of `GL_NV_sRGB_formats`
    `static int` | `GL_SRGB8_NV` Part of `GL_NV_sRGB_formats`
    `static int` | `GL_STATE_RESTORE` Part of `GL_QCOM_extended_get`
    `static int` | `GL_STENCIL_BUFFER_BIT0_QCOM` Part of `GL_QCOM_tiled_rendering`
    `static int` | `GL_STENCIL_BUFFER_BIT1_QCOM` Part of `GL_QCOM_tiled_rendering`
    `static int` | `GL_STENCIL_BUFFER_BIT2_QCOM` Part of `GL_QCOM_tiled_rendering`
    `static int` | `GL_STENCIL_BUFFER_BIT3_QCOM` Part of `GL_QCOM_tiled_rendering`
    `static int` | `GL_STENCIL_BUFFER_BIT4_QCOM` Part of `GL_QCOM_tiled_rendering`
    `static int` | `GL_STENCIL_BUFFER_BIT5_QCOM` Part of `GL_QCOM_tiled_rendering`
    `static int` | `GL_STENCIL_BUFFER_BIT6_QCOM` Part of `GL_QCOM_tiled_rendering`
    `static int` | `GL_STENCIL_BUFFER_BIT7_QCOM` Part of `GL_QCOM_tiled_rendering`
    `static int` | `GL_STENCIL_EXT` Part of `GL_EXT_discard_framebuffer`
    `static int` | `GL_TEXTURE_BINDING_EXTERNAL_OES` Part of `GL_OES_EGL_image_external`
    `static int` | `GL_TEXTURE_BORDER_COLOR_NV` Part of `GL_NV_texture_border_clamp`
    `static int` | `GL_TEXTURE_DEPTH_QCOM` Part of `GL_QCOM_extended_get`
    `static int` | `GL_TEXTURE_EXTERNAL_OES` Part of `GL_OES_EGL_image_external`
    `static int` | `GL_TEXTURE_FORMAT_QCOM` Part of `GL_QCOM_extended_get`
    `static int` | `GL_TEXTURE_HEIGHT_QCOM` Part of `GL_QCOM_extended_get`
    `static int` | `GL_TEXTURE_IMAGE_VALID_QCOM` Part of `GL_QCOM_extended_get`
    `static int` | `GL_TEXTURE_INTERNAL_FORMAT_QCOM` Part of `GL_QCOM_extended_get`
    `static int` | `GL_TEXTURE_MAX_LEVEL_APPLE` Part of `GL_APPLE_texture_max_level`
    `static int` | `GL_TEXTURE_NUM_LEVELS_QCOM` Part of `GL_QCOM_extended_get`
    `static int` | `GL_TEXTURE_OBJECT_VALID_QCOM` Part of `GL_QCOM_extended_get`
    `static int` | `GL_TEXTURE_SAMPLES_IMG` Part of `GL_IMG_multisampled_render_to_texture`
    `static int` | `GL_TEXTURE_TARGET_QCOM` Part of `GL_QCOM_extended_get`
    `static int` | `GL_TEXTURE_TYPE_QCOM` Part of `GL_QCOM_extended_get`
    `static int` | `GL_TEXTURE_USAGE_ANGLE` Part of `GL_ANGLE_texture_usage`
    `static int` | `GL_TEXTURE_WIDTH_QCOM` Part of `GL_QCOM_extended_get`
    `static int` | `GL_TIME_ELAPSED_EXT` Part of `GL_EXT_timer_query`, `GL_EXT_disjoint_timer_query`
    `static int` | `GL_TIMESTAMP_EXT` Part of `GL_EXT_disjoint_timer_query`
    `static int` | `GL_TRANSLATED_SHADER_SOURCE_LENGTH_ANGLE` Part of `GL_ANGLE_translated_shader_source`
    `static int` | `GL_UNSIGNED_INT64_AMD` Part of `GL_AMD_performance_monitor`
    `static int` | `GL_UNSIGNED_SHORT_4_4_4_4_REV_IMG` Part of `GL_IMG_read_format`
    `static int` | `GL_UNSIGNED_SHORT_8_8_APPLE` Part of `GL_APPLE_ycbcr_422`, `GL_APPLE_rgb_422`
    `static int` | `GL_UNSIGNED_SHORT_8_8_REV_APPLE` Part of `GL_APPLE_ycbcr_422`, `GL_APPLE_rgb_422`
    `static int` | `GL_VERTEX_ARRAY_BINDING_OES` Part of `GL_OES_vertex_array_object`
    `static int` | `GL_VERTEX_ARRAY_OBJECT_EXT` Part of `GL_EXT_debug_label`
    `static int` | `GL_VERTEX_ATTRIB_ARRAY_DIVISOR_ANGLE` Part of `GL_ANGLE_instanced_arrays`
    `static int` | `GL_VERTEX_ATTRIB_ARRAY_DIVISOR_NV` Part of `GL_NV_instanced_arrays`
    `static int` | `GL_WRITEONLY_RENDERING_QCOM` Part of `GL_QCOM_writeonly_rendering`
    `static int` | `GL_Z400_BINARY_AMD` Part of `GL_AMD_program_binary_Z400`

    - ### Fields inherited from interface javax.media.opengl.GL2ES2

      `GL_ACTIVE_ATTRIBUTE_MAX_LENGTH, GL_ACTIVE_ATTRIBUTES, GL_ACTIVE_PROGRAM, GL_ACTIVE_UNIFORM_MAX_LENGTH, GL_ACTIVE_UNIFORMS, GL_ALL_SHADER_BITS, GL_ANY_SAMPLES_PASSED, GL_ANY_SAMPLES_PASSED_CONSERVATIVE, GL_ATTACHED_SHADERS, GL_BLEND_COLOR, GL_BOOL, GL_BOOL_VEC2, GL_BOOL_VEC3, GL_BOOL_VEC4, GL_BUFFER, GL_COLOR_ATTACHMENT1, GL_COLOR_ATTACHMENT10, GL_COLOR_ATTACHMENT11, GL_COLOR_ATTACHMENT12, GL_COLOR_ATTACHMENT13, GL_COLOR_ATTACHMENT14, GL_COLOR_ATTACHMENT15, GL_COLOR_ATTACHMENT2, GL_COLOR_ATTACHMENT3, GL_COLOR_ATTACHMENT4, GL_COLOR_ATTACHMENT5, GL_COLOR_ATTACHMENT6, GL_COLOR_ATTACHMENT7, GL_COLOR_ATTACHMENT8, GL_COLOR_ATTACHMENT9, GL_COMPARE_REF_TO_TEXTURE, GL_COMPILE_STATUS, GL_CONSTANT_ALPHA, GL_CONSTANT_COLOR, GL_CONTEXT_FLAG_DEBUG_BIT, GL_CONTEXT_ROBUST_ACCESS, GL_CURRENT_PROGRAM, GL_CURRENT_QUERY, GL_CURRENT_VERTEX_ATTRIB, GL_DEBUG_CALLBACK_FUNCTION, GL_DEBUG_CALLBACK_USER_PARAM, GL_DEBUG_GROUP_STACK_DEPTH, GL_DEBUG_LOGGED_MESSAGES, GL_DEBUG_NEXT_LOGGED_MESSAGE_LENGTH, GL_DEBUG_OUTPUT, GL_DEBUG_OUTPUT_SYNCHRONOUS, GL_DEBUG_SEVERITY_HIGH, GL_DEBUG_SEVERITY_LOW, GL_DEBUG_SEVERITY_MEDIUM, GL_DEBUG_SEVERITY_NOTIFICATION, GL_DEBUG_SOURCE_API, GL_DEBUG_SOURCE_APPLICATION, GL_DEBUG_SOURCE_OTHER, GL_DEBUG_SOURCE_SHADER_COMPILER, GL_DEBUG_SOURCE_THIRD_PARTY, GL_DEBUG_SOURCE_WINDOW_SYSTEM, GL_DEBUG_TYPE_DEPRECATED_BEHAVIOR, GL_DEBUG_TYPE_ERROR, GL_DEBUG_TYPE_MARKER, GL_DEBUG_TYPE_OTHER, GL_DEBUG_TYPE_PERFORMANCE, GL_DEBUG_TYPE_POP_GROUP, GL_DEBUG_TYPE_PORTABILITY, GL_DEBUG_TYPE_PUSH_GROUP, GL_DEBUG_TYPE_UNDEFINED_BEHAVIOR, GL_DELETE_STATUS, GL_DEPTH_COMPONENT, GL_DRAW_BUFFER0, GL_DRAW_BUFFER1, GL_DRAW_BUFFER10, GL_DRAW_BUFFER11, GL_DRAW_BUFFER12, GL_DRAW_BUFFER13, GL_DRAW_BUFFER14, GL_DRAW_BUFFER15, GL_DRAW_BUFFER2, GL_DRAW_BUFFER3, GL_DRAW_BUFFER4, GL_DRAW_BUFFER5, GL_DRAW_BUFFER6, GL_DRAW_BUFFER7, GL_DRAW_BUFFER8, GL_DRAW_BUFFER9, GL_FLOAT_MAT2, GL_FLOAT_MAT3, GL_FLOAT_MAT4, GL_FLOAT_VEC2, GL_FLOAT_VEC3, GL_FLOAT_VEC4, GL_FRAGMENT_SHADER, GL_FRAGMENT_SHADER_BIT, GL_FRAGMENT_SHADER_DERIVATIVE_HINT, GL_FRAMEBUFFER_ATTACHMENT_COLOR_ENCODING, GL_FRAMEBUFFER_ATTACHMENT_COMPONENT_TYPE, GL_HIGH_FLOAT, GL_HIGH_INT, GL_INFO_LOG_LENGTH, GL_INT, GL_INT_10_10_10_2, GL_INT_VEC2, GL_INT_VEC3, GL_INT_VEC4, GL_LINK_STATUS, GL_LOW_FLOAT, GL_LOW_INT, GL_MAX_3D_TEXTURE_SIZE, GL_MAX_COLOR_ATTACHMENTS, GL_MAX_COMBINED_TEXTURE_IMAGE_UNITS, GL_MAX_DEBUG_GROUP_STACK_DEPTH, GL_MAX_DEBUG_LOGGED_MESSAGES, GL_MAX_DEBUG_MESSAGE_LENGTH, GL_MAX_DRAW_BUFFERS, GL_MAX_FRAGMENT_UNIFORM_VECTORS, GL_MAX_LABEL_LENGTH, GL_MAX_TEXTURE_IMAGE_UNITS, GL_MAX_VARYING_VECTORS, GL_MAX_VERTEX_ATTRIBS, GL_MAX_VERTEX_TEXTURE_IMAGE_UNITS, GL_MAX_VERTEX_UNIFORM_VECTORS, GL_MEDIUM_FLOAT, GL_MEDIUM_INT, GL_NUM_PROGRAM_BINARY_FORMATS, GL_NUM_SHADER_BINARY_FORMATS, GL_ONE_MINUS_CONSTANT_ALPHA, GL_ONE_MINUS_CONSTANT_COLOR, GL_PROGRAM, GL_PROGRAM_BINARY_FORMATS, GL_PROGRAM_BINARY_LENGTH, GL_PROGRAM_PIPELINE_BINDING, GL_PROGRAM_SEPARABLE, GL_QUERY, GL_QUERY_RESULT, GL_QUERY_RESULT_AVAILABLE, GL_R16F, GL_R32F, GL_R8, GL_RED, GL_RG, GL_RG16F, GL_RG32F, GL_RG8, GL_SAMPLER, GL_SAMPLER_2D, GL_SAMPLER_2D_SHADOW, GL_SAMPLER_3D, GL_SAMPLER_CUBE, GL_SHADER, GL_SHADER_BINARY_DMP, GL_SHADER_BINARY_FORMATS, GL_SHADER_COMPILER, GL_SHADER_SOURCE_LENGTH, GL_SHADER_TYPE, GL_SHADING_LANGUAGE_VERSION, GL_STACK_OVERFLOW, GL_STACK_UNDERFLOW, GL_STENCIL_BACK_FAIL, GL_STENCIL_BACK_FUNC, GL_STENCIL_BACK_PASS_DEPTH_FAIL, GL_STENCIL_BACK_PASS_DEPTH_PASS, GL_STENCIL_BACK_REF, GL_STENCIL_BACK_VALUE_MASK, GL_STENCIL_BACK_WRITEMASK, GL_STENCIL_INDEX, GL_STREAM_DRAW, GL_TEXTURE_3D, GL_TEXTURE_BINDING_3D, GL_TEXTURE_COMPARE_FUNC, GL_TEXTURE_COMPARE_MODE, GL_TEXTURE_WRAP_R, GL_UNPACK_ROW_LENGTH, GL_UNPACK_SKIP_PIXELS, GL_UNPACK_SKIP_ROWS, GL_UNSIGNED_INT_10_10_10_2, GL_UNSIGNED_INT_2_10_10_10_REV, GL_UNSIGNED_NORMALIZED, GL_VALIDATE_STATUS, GL_VERTEX_ATTRIB_ARRAY_BUFFER_BINDING, GL_VERTEX_ATTRIB_ARRAY_ENABLED, GL_VERTEX_ATTRIB_ARRAY_NORMALIZED, GL_VERTEX_ATTRIB_ARRAY_POINTER, GL_VERTEX_ATTRIB_ARRAY_SIZE, GL_VERTEX_ATTRIB_ARRAY_STRIDE, GL_VERTEX_ATTRIB_ARRAY_TYPE, GL_VERTEX_SHADER, GL_VERTEX_SHADER_BIT`

    - ### Fields inherited from interface javax.media.opengl.GL

      `GL_ACTIVE_TEXTURE, GL_ALIASED_LINE_WIDTH_RANGE, GL_ALIASED_POINT_SIZE_RANGE, GL_ALPHA, GL_ALPHA_BITS, GL_ALPHA16F, GL_ALPHA32F, GL_ALPHA8, GL_ALWAYS, GL_AND, GL_AND_INVERTED, GL_AND_REVERSE, GL_ARRAY_BUFFER, GL_ARRAY_BUFFER_BINDING, GL_BACK, GL_BGRA, GL_BGRA8, GL_BLEND, GL_BLEND_DST, GL_BLEND_DST_ALPHA, GL_BLEND_DST_RGB, GL_BLEND_EQUATION, GL_BLEND_EQUATION_ALPHA, GL_BLEND_EQUATION_RGB, GL_BLEND_SRC, GL_BLEND_SRC_ALPHA, GL_BLEND_SRC_RGB, GL_BLUE_BITS, GL_BUFFER_ACCESS, GL_BUFFER_MAP_POINTER, GL_BUFFER_MAPPED, GL_BUFFER_SIZE, GL_BUFFER_USAGE, GL_BYTE, GL_CCW, GL_CLAMP_TO_EDGE, GL_CLEAR, GL_COLOR_ATTACHMENT0, GL_COLOR_BUFFER_BIT, GL_COLOR_CLEAR_VALUE, GL_COLOR_LOGIC_OP, GL_COLOR_WRITEMASK, GL_COMPRESSED_RGB_S3TC_DXT1_EXT, GL_COMPRESSED_RGBA_S3TC_DXT1_EXT, GL_COMPRESSED_RGBA_S3TC_DXT3_EXT, GL_COMPRESSED_RGBA_S3TC_DXT5_EXT, GL_COMPRESSED_TEXTURE_FORMATS, GL_COPY, GL_COPY_INVERTED, GL_CULL_FACE, GL_CULL_FACE_MODE, GL_CW, GL_DECR, GL_DECR_WRAP, GL_DEPTH_ATTACHMENT, GL_DEPTH_BITS, GL_DEPTH_BUFFER_BIT, GL_DEPTH_CLEAR_VALUE, GL_DEPTH_COMPONENT16, GL_DEPTH_COMPONENT24, GL_DEPTH_COMPONENT32, GL_DEPTH_FUNC, GL_DEPTH_RANGE, GL_DEPTH_STENCIL, GL_DEPTH_TEST, GL_DEPTH_WRITEMASK, GL_DEPTH24_STENCIL8, GL_DITHER, GL_DONT_CARE, GL_DST_ALPHA, GL_DST_COLOR, GL_DYNAMIC_DRAW, GL_ELEMENT_ARRAY_BUFFER, GL_ELEMENT_ARRAY_BUFFER_BINDING, GL_EQUAL, GL_EQUIV, GL_EXTENSIONS, GL_FALSE, GL_FASTEST, GL_FIXED, GL_FLOAT, GL_FRAMEBUFFER, GL_FRAMEBUFFER_ATTACHMENT_OBJECT_NAME, GL_FRAMEBUFFER_ATTACHMENT_OBJECT_TYPE, GL_FRAMEBUFFER_ATTACHMENT_TEXTURE_CUBE_MAP_FACE, GL_FRAMEBUFFER_ATTACHMENT_TEXTURE_LAYER, GL_FRAMEBUFFER_ATTACHMENT_TEXTURE_LEVEL, GL_FRAMEBUFFER_BINDING, GL_FRAMEBUFFER_COMPLETE, GL_FRAMEBUFFER_INCOMPLETE_ATTACHMENT, GL_FRAMEBUFFER_INCOMPLETE_DIMENSIONS, GL_FRAMEBUFFER_INCOMPLETE_FORMATS, GL_FRAMEBUFFER_INCOMPLETE_MISSING_ATTACHMENT, GL_FRAMEBUFFER_UNSUPPORTED, GL_FRONT, GL_FRONT_AND_BACK, GL_FRONT_FACE, GL_FUNC_ADD, GL_FUNC_REVERSE_SUBTRACT, GL_FUNC_SUBTRACT, GL_GENERATE_MIPMAP_HINT, GL_GEQUAL, GL_GREATER, GL_GREEN_BITS, GL_GUILTY_CONTEXT_RESET, GL_HALF_FLOAT, GL_IMPLEMENTATION_COLOR_READ_FORMAT, GL_IMPLEMENTATION_COLOR_READ_TYPE, GL_INCR, GL_INCR_WRAP, GL_INNOCENT_CONTEXT_RESET, GL_INVALID_ENUM, GL_INVALID_FRAMEBUFFER_OPERATION, GL_INVALID_OPERATION, GL_INVALID_VALUE, GL_INVERT, GL_KEEP, GL_LEQUAL, GL_LESS, GL_LINE_LOOP, GL_LINE_SMOOTH, GL_LINE_SMOOTH_HINT, GL_LINE_STRIP, GL_LINE_WIDTH, GL_LINEAR, GL_LINEAR_MIPMAP_LINEAR, GL_LINEAR_MIPMAP_NEAREST, GL_LINES, GL_LOGIC_OP_MODE, GL_LOSE_CONTEXT_ON_RESET, GL_LUMINANCE, GL_LUMINANCE_ALPHA, GL_MAP_FLUSH_EXPLICIT_BIT, GL_MAP_INVALIDATE_BUFFER_BIT, GL_MAP_INVALIDATE_RANGE_BIT, GL_MAP_READ_BIT, GL_MAP_UNSYNCHRONIZED_BIT, GL_MAP_WRITE_BIT, GL_MAX_ARRAY_TEXTURE_LAYERS, GL_MAX_CUBE_MAP_TEXTURE_SIZE, GL_MAX_RENDERBUFFER_SIZE, GL_MAX_TEXTURE_MAX_ANISOTROPY_EXT, GL_MAX_TEXTURE_SIZE, GL_MAX_VIEWPORT_DIMS, GL_MIRRORED_REPEAT, GL_MULTISAMPLE, GL_NAND, GL_NEAREST, GL_NEAREST_MIPMAP_LINEAR, GL_NEAREST_MIPMAP_NEAREST, GL_NEVER, GL_NICEST, GL_NO_ERROR, GL_NO_RESET_NOTIFICATION, GL_NONE, GL_NOOP, GL_NOR, GL_NOTEQUAL, GL_NUM_COMPRESSED_TEXTURE_FORMATS, GL_ONE, GL_ONE_MINUS_DST_ALPHA, GL_ONE_MINUS_DST_COLOR, GL_ONE_MINUS_SRC_ALPHA, GL_ONE_MINUS_SRC_COLOR, GL_OR, GL_OR_INVERTED, GL_OR_REVERSE, GL_OUT_OF_MEMORY, GL_PACK_ALIGNMENT, GL_POINT_FADE_THRESHOLD_SIZE, GL_POINT_SIZE, GL_POINTS, GL_POLYGON_OFFSET_FACTOR, GL_POLYGON_OFFSET_FILL, GL_POLYGON_OFFSET_UNITS, GL_R11F_G11F_B10F, GL_RED_BITS, GL_RENDERBUFFER, GL_RENDERBUFFER_ALPHA_SIZE, GL_RENDERBUFFER_BINDING, GL_RENDERBUFFER_BLUE_SIZE, GL_RENDERBUFFER_DEPTH_SIZE, GL_RENDERBUFFER_GREEN_SIZE, GL_RENDERBUFFER_HEIGHT, GL_RENDERBUFFER_INTERNAL_FORMAT, GL_RENDERBUFFER_RED_SIZE, GL_RENDERBUFFER_STENCIL_SIZE, GL_RENDERBUFFER_WIDTH, GL_RENDERER, GL_REPEAT, GL_REPLACE, GL_RESET_NOTIFICATION_STRATEGY, GL_RGB, GL_RGB10, GL_RGB10_A2, GL_RGB16F, GL_RGB32F, GL_RGB5_A1, GL_RGB565, GL_RGB8, GL_RGBA, GL_RGBA_SIGNED_COMPONENTS, GL_RGBA16F, GL_RGBA32F, GL_RGBA4, GL_RGBA8, GL_SAMPLE_ALPHA_TO_COVERAGE, GL_SAMPLE_ALPHA_TO_ONE, GL_SAMPLE_BUFFERS, GL_SAMPLE_COVERAGE, GL_SAMPLE_COVERAGE_INVERT, GL_SAMPLE_COVERAGE_VALUE, GL_SAMPLER_2D_ARRAY, GL_SAMPLES, GL_SCISSOR_BOX, GL_SCISSOR_TEST, GL_SET, GL_SHORT, GL_SMOOTH_LINE_WIDTH_RANGE, GL_SMOOTH_POINT_SIZE_RANGE, GL_SRC_ALPHA, GL_SRC_ALPHA_SATURATE, GL_SRC_COLOR, GL_SRGB, GL_SRGB_ALPHA, GL_SRGB8_ALPHA8, GL_STATIC_DRAW, GL_STENCIL_ATTACHMENT, GL_STENCIL_BITS, GL_STENCIL_BUFFER_BIT, GL_STENCIL_CLEAR_VALUE, GL_STENCIL_FAIL, GL_STENCIL_FUNC, GL_STENCIL_INDEX1, GL_STENCIL_INDEX4, GL_STENCIL_INDEX8, GL_STENCIL_PASS_DEPTH_FAIL, GL_STENCIL_PASS_DEPTH_PASS, GL_STENCIL_REF, GL_STENCIL_TEST, GL_STENCIL_VALUE_MASK, GL_STENCIL_WRITEMASK, GL_SUBPIXEL_BITS, GL_TEXTURE, GL_TEXTURE_2D, GL_TEXTURE_2D_ARRAY, GL_TEXTURE_BINDING_2D, GL_TEXTURE_BINDING_2D_ARRAY, GL_TEXTURE_BINDING_CUBE_MAP, GL_TEXTURE_CUBE_MAP, GL_TEXTURE_CUBE_MAP_NEGATIVE_X, GL_TEXTURE_CUBE_MAP_NEGATIVE_Y, GL_TEXTURE_CUBE_MAP_NEGATIVE_Z, GL_TEXTURE_CUBE_MAP_POSITIVE_X, GL_TEXTURE_CUBE_MAP_POSITIVE_Y, GL_TEXTURE_CUBE_MAP_POSITIVE_Z, GL_TEXTURE_IMMUTABLE_FORMAT, GL_TEXTURE_MAG_FILTER, GL_TEXTURE_MAX_ANISOTROPY_EXT, GL_TEXTURE_MIN_FILTER, GL_TEXTURE_WRAP_S, GL_TEXTURE_WRAP_T, GL_TEXTURE0, GL_TEXTURE1, GL_TEXTURE10, GL_TEXTURE11, GL_TEXTURE12, GL_TEXTURE13, GL_TEXTURE14, GL_TEXTURE15, GL_TEXTURE16, GL_TEXTURE17, GL_TEXTURE18, GL_TEXTURE19, GL_TEXTURE2, GL_TEXTURE20, GL_TEXTURE21, GL_TEXTURE22, GL_TEXTURE23, GL_TEXTURE24, GL_TEXTURE25, GL_TEXTURE26, GL_TEXTURE27, GL_TEXTURE28, GL_TEXTURE29, GL_TEXTURE3, GL_TEXTURE30, GL_TEXTURE31, GL_TEXTURE4, GL_TEXTURE5, GL_TEXTURE6, GL_TEXTURE7, GL_TEXTURE8, GL_TEXTURE9, GL_TRIANGLE_FAN, GL_TRIANGLE_STRIP, GL_TRIANGLES, GL_TRUE, GL_UNKNOWN_CONTEXT_RESET, GL_UNPACK_ALIGNMENT, GL_UNSIGNED_BYTE, GL_UNSIGNED_INT, GL_UNSIGNED_INT_10F_11F_11F_REV, GL_UNSIGNED_INT_24_8, GL_UNSIGNED_SHORT, GL_UNSIGNED_SHORT_1_5_5_5_REV_EXT, GL_UNSIGNED_SHORT_4_4_4_4, GL_UNSIGNED_SHORT_4_4_4_4_REV_EXT, GL_UNSIGNED_SHORT_5_5_5_1, GL_UNSIGNED_SHORT_5_6_5, GL_VENDOR, GL_VERSION, GL_VIEWPORT, GL_WRITE_ONLY, GL_XOR, GL_ZERO`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `glAlphaFuncQCOM(int func, float ref)` Entry point to C language function: `void glAlphaFuncQCOM(GLenum func, GLclampf ref)` Part of `GL_QCOM_alpha_test`
    `void` | `glBeginPerfMonitorAMD(int monitor)` Entry point to C language function: `void glBeginPerfMonitorAMD(GLuint monitor)` Part of `GL_AMD_performance_monitor`
    `void` | `glBindVertexArrayOES(int array)` Entry point to C language function: `void glBindVertexArrayOES(GLuint array)` Part of `GL_OES_vertex_array_object`
    `void` | `glBlitFramebufferANGLE(int srcX0, int srcY0, int srcX1, int srcY1, int dstX0, int dstY0, int dstX1, int dstY1, int mask, int filter)` Entry point to C language function: `void glBlitFramebufferANGLE(GLint srcX0, GLint srcY0, GLint srcX1, GLint srcY1, GLint dstX0, GLint dstY0, GLint dstX1, GLint dstY1, GLbitfield mask, GLenum filter)` Part of `GL_ANGLE_framebuffer_blit`
    `void` | `glBlitFramebufferNV(int srcX0, int srcY0, int srcX1, int srcY1, int dstX0, int dstY0, int dstX1, int dstY1, int mask, int filter)` Entry point to C language function: `void glBlitFramebufferNV(int srcX0, GLint srcY0, GLint srcX1, GLint srcY1, GLint dstX0, GLint dstY0, GLint dstX1, GLint dstY1, GLbitfield mask, GLenum filter)` Part of `GL_NV_framebuffer_blit`
    `void` | `glCopyTextureLevelsAPPLE(int destinationTexture, int sourceTexture, int sourceBaseLevel, int sourceLevelCount)` Entry point to C language function: `void glCopyTextureLevelsAPPLE(GLuint destinationTexture, GLuint sourceTexture, GLint sourceBaseLevel, GLsizei sourceLevelCount)` Part of `GL_APPLE_copy_texture_levels`
    `void` | `glCoverageMaskNV(boolean mask)` Entry point to C language function: `void glCoverageMaskNV(GLboolean mask)` Part of `GL_NV_coverage_sample`
    `void` | `glCoverageOperationNV(int operation)` Entry point to C language function: `void glCoverageOperationNV(GLenum operation)` Part of `GL_NV_coverage_sample`
    `void` | `glDeleteFencesNV(int arg0, int[] arg1, int arg1_offset)` Entry point to C language function: `void glDeleteFencesNV(GLsizei, const GLuint * )` Part of `GL_NV_fence`
    `void` | `glDeleteFencesNV(int arg0, IntBuffer arg1)` Entry point to C language function: `void glDeleteFencesNV(GLsizei, const GLuint * )` Part of `GL_NV_fence`
    `void` | `glDeletePerfMonitorsAMD(int n, int[] monitors, int monitors_offset)` Entry point to C language function: `void glDeletePerfMonitorsAMD(GLsizei n, GLuint * monitors)` Part of `GL_AMD_performance_monitor`
    `void` | `glDeletePerfMonitorsAMD(int n, IntBuffer monitors)` Entry point to C language function: `void glDeletePerfMonitorsAMD(GLsizei n, GLuint * monitors)` Part of `GL_AMD_performance_monitor`
    `void` | `glDeleteVertexArraysOES(int n, int[] arrays, int arrays_offset)` Entry point to C language function: `void glDeleteVertexArraysOES(GLsizei n, const GLuint * arrays)` Part of `GL_OES_vertex_array_object`
    `void` | `glDeleteVertexArraysOES(int n, IntBuffer arrays)` Entry point to C language function: `void glDeleteVertexArraysOES(GLsizei n, const GLuint * arrays)` Part of `GL_OES_vertex_array_object`
    `void` | `glDisableDriverControlQCOM(int driverControl)` Entry point to C language function: `void glDisableDriverControlQCOM(GLuint driverControl)` Part of `GL_QCOM_driver_control`
    `void` | `glDiscardFramebufferEXT(int target, int numAttachments, int[] attachments, int attachments_offset)` Entry point to C language function: `void glDiscardFramebufferEXT(GLenum target, GLsizei numAttachments, const GLenum * attachments)` Part of `GL_EXT_discard_framebuffer`
    `void` | `glDiscardFramebufferEXT(int target, int numAttachments, IntBuffer attachments)` Entry point to C language function: `void glDiscardFramebufferEXT(GLenum target, GLsizei numAttachments, const GLenum * attachments)` Part of `GL_EXT_discard_framebuffer`
    `void` | `glDrawArraysInstancedANGLE(int mode, int first, int count, int primcount)` Entry point to C language function: `void glDrawArraysInstancedANGLE(GLenum mode, GLint first, GLsizei count, GLsizei primcount)` Part of `GL_ANGLE_instanced_arrays`
    `void` | `glDrawArraysInstancedNV(int mode, int first, int count, int primcount)` Entry point to C language function: `void glDrawArraysInstancedNV(GLenum mode, GLint first, GLsizei count, GLsizei primcount)` Part of `GL_NV_draw_instanced`
    `void` | `glDrawBuffers(int n, int[] bufs, int bufs_offset)` Entry point to C language function: `void glDrawBuffers(GLsizei n, const GLenum * bufs)` Part of `GL_ES_VERSION_3_0`, `GL_VERSION_2_0`; `GL_EXT_draw_buffers`; `GL_NV_draw_buffers`
    `void` | `glDrawBuffers(int n, IntBuffer bufs)` Entry point to C language function: `void glDrawBuffers(GLsizei n, const GLenum * bufs)` Part of `GL_ES_VERSION_3_0`, `GL_VERSION_2_0`; `GL_EXT_draw_buffers`; `GL_NV_draw_buffers`
    `void` | `glDrawBuffersIndexedEXT(int n, int[] location, int location_offset, int[] indices, int indices_offset)` Entry point to C language function: `void glDrawBuffersIndexedEXT(GLint n, const GLenum * location, const GLint * indices)` Part of `GL_EXT_multiview_draw_buffers`
    `void` | `glDrawBuffersIndexedEXT(int n, IntBuffer location, IntBuffer indices)` Entry point to C language function: `void glDrawBuffersIndexedEXT(GLint n, const GLenum * location, const GLint * indices)` Part of `GL_EXT_multiview_draw_buffers`
    `void` | `glDrawElements(int mode, int count, int type, Buffer indices)` Entry point to C language function: `void glDrawElements(GLenum mode, GLsizei count, GLenum type, const GLvoid * indices);` Part of `GL_VERSION_ES_CL_CM`, `GL_VERSION_1_1`, `GL_ES_VERSION_2_0`
    `void` | `glDrawElementsInstancedANGLE(int mode, int count, int type, Buffer indices, int primcount)` Entry point to C language function: `void glDrawElementsInstancedANGLE(GLenum mode, GLsizei count, GLenum type, const void * indices, GLsizei primcount)` Part of `GL_ANGLE_instanced_arrays`
    `void` | `glDrawElementsInstancedNV(int mode, int count, int type, Buffer indices, int primcount)` Entry point to C language function: `void glDrawElementsInstancedNV(GLenum mode, GLsizei count, GLenum type, const GLvoid * indices, GLsizei primcount)` Part of `GL_NV_draw_instanced`
    `void` | `glEGLImageTargetRenderbufferStorageOES(int target, long image)` Entry point to C language function: `void glEGLImageTargetRenderbufferStorageOES(GLenum target, GLeglImageOES image)` Part of `GL_OES_EGL_image`
    `void` | `glEGLImageTargetTexture2DOES(int target, long image)` Entry point to C language function: `void glEGLImageTargetTexture2DOES(GLenum target, GLeglImageOES image)` Part of `GL_OES_EGL_image`
    `void` | `glEnableDriverControlQCOM(int driverControl)` Entry point to C language function: `void glEnableDriverControlQCOM(GLuint driverControl)` Part of `GL_QCOM_driver_control`
    `void` | `glEndPerfMonitorAMD(int monitor)` Entry point to C language function: `void glEndPerfMonitorAMD(GLuint monitor)` Part of `GL_AMD_performance_monitor`
    `void` | `glEndTilingQCOM(int preserveMask)` Entry point to C language function: `void glEndTilingQCOM(GLbitfield preserveMask)` Part of `GL_QCOM_tiled_rendering`
    `void` | `glExtGetBufferPointervQCOM(int target, PointerBuffer params)` Entry point to C language function: `void glExtGetBufferPointervQCOM(GLenum target, GLvoid * * params)` Part of `GL_QCOM_extended_get`
    `void` | `glExtGetBuffersQCOM(int[] buffers, int buffers_offset, int maxBuffers, int[] numBuffers, int numBuffers_offset)` Entry point to C language function: `void glExtGetBuffersQCOM(GLuint * buffers, GLint maxBuffers, GLint * numBuffers)` Part of `GL_QCOM_extended_get`
    `void` | `glExtGetBuffersQCOM(IntBuffer buffers, int maxBuffers, IntBuffer numBuffers)` Entry point to C language function: `void glExtGetBuffersQCOM(GLuint * buffers, GLint maxBuffers, GLint * numBuffers)` Part of `GL_QCOM_extended_get`
    `void` | `glExtGetFramebuffersQCOM(int[] framebuffers, int framebuffers_offset, int maxFramebuffers, int[] numFramebuffers, int numFramebuffers_offset)` Entry point to C language function: `void glExtGetFramebuffersQCOM(GLuint * framebuffers, GLint maxFramebuffers, GLint * numFramebuffers)` Part of `GL_QCOM_extended_get`
    `void` | `glExtGetFramebuffersQCOM(IntBuffer framebuffers, int maxFramebuffers, IntBuffer numFramebuffers)` Entry point to C language function: `void glExtGetFramebuffersQCOM(GLuint * framebuffers, GLint maxFramebuffers, GLint * numFramebuffers)` Part of `GL_QCOM_extended_get`
    `void` | `glExtGetProgramBinarySourceQCOM(int program, int shadertype, byte[] source, int source_offset, int[] length, int length_offset)` Entry point to C language function: `void glExtGetProgramBinarySourceQCOM(GLuint program, GLenum shadertype, GLchar * source, GLint * length)` Part of `GL_QCOM_extended_get2`
    `void` | `glExtGetProgramBinarySourceQCOM(int program, int shadertype, ByteBuffer source, IntBuffer length)` Entry point to C language function: `void glExtGetProgramBinarySourceQCOM(GLuint program, GLenum shadertype, GLchar * source, GLint * length)` Part of `GL_QCOM_extended_get2`
    `void` | `glExtGetProgramsQCOM(int[] programs, int programs_offset, int maxPrograms, int[] numPrograms, int numPrograms_offset)` Entry point to C language function: `void glExtGetProgramsQCOM(GLuint * programs, GLint maxPrograms, GLint * numPrograms)` Part of `GL_QCOM_extended_get2`
    `void` | `glExtGetProgramsQCOM(IntBuffer programs, int maxPrograms, IntBuffer numPrograms)` Entry point to C language function: `void glExtGetProgramsQCOM(GLuint * programs, GLint maxPrograms, GLint * numPrograms)` Part of `GL_QCOM_extended_get2`
    `void` | `glExtGetRenderbuffersQCOM(int[] renderbuffers, int renderbuffers_offset, int maxRenderbuffers, int[] numRenderbuffers, int numRenderbuffers_offset)` Entry point to C language function: `void glExtGetRenderbuffersQCOM(GLuint * renderbuffers, GLint maxRenderbuffers, GLint * numRenderbuffers)` Part of `GL_QCOM_extended_get`
    `void` | `glExtGetRenderbuffersQCOM(IntBuffer renderbuffers, int maxRenderbuffers, IntBuffer numRenderbuffers)` Entry point to C language function: `void glExtGetRenderbuffersQCOM(GLuint * renderbuffers, GLint maxRenderbuffers, GLint * numRenderbuffers)` Part of `GL_QCOM_extended_get`
    `void` | `glExtGetShadersQCOM(int[] shaders, int shaders_offset, int maxShaders, int[] numShaders, int numShaders_offset)` Entry point to C language function: `void glExtGetShadersQCOM(GLuint * shaders, GLint maxShaders, GLint * numShaders)` Part of `GL_QCOM_extended_get2`
    `void` | `glExtGetShadersQCOM(IntBuffer shaders, int maxShaders, IntBuffer numShaders)` Entry point to C language function: `void glExtGetShadersQCOM(GLuint * shaders, GLint maxShaders, GLint * numShaders)` Part of `GL_QCOM_extended_get2`
    `void` | `glExtGetTexLevelParameterivQCOM(int texture, int face, int level, int pname, int[] params, int params_offset)` Entry point to C language function: `void glExtGetTexLevelParameterivQCOM(GLuint texture, GLenum face, GLint level, GLenum pname, GLint * params)` Part of `GL_QCOM_extended_get`
    `void` | `glExtGetTexLevelParameterivQCOM(int texture, int face, int level, int pname, IntBuffer params)` Entry point to C language function: `void glExtGetTexLevelParameterivQCOM(GLuint texture, GLenum face, GLint level, GLenum pname, GLint * params)` Part of `GL_QCOM_extended_get`
    `void` | `glExtGetTexSubImageQCOM(int target, int level, int xoffset, int yoffset, int zoffset, int width, int height, int depth, int format, int type, Buffer texels)` Entry point to C language function: `void glExtGetTexSubImageQCOM(GLenum target, GLint level, GLint xoffset, GLint yoffset, GLint zoffset, GLsizei width, GLsizei height, GLsizei depth, GLenum format, GLenum type, GLvoid * texels)` Part of `GL_QCOM_extended_get`
    `void` | `glExtGetTexturesQCOM(int[] textures, int textures_offset, int maxTextures, int[] numTextures, int numTextures_offset)` Entry point to C language function: `void glExtGetTexturesQCOM(GLuint * textures, GLint maxTextures, GLint * numTextures)` Part of `GL_QCOM_extended_get`
    `void` | `glExtGetTexturesQCOM(IntBuffer textures, int maxTextures, IntBuffer numTextures)` Entry point to C language function: `void glExtGetTexturesQCOM(GLuint * textures, GLint maxTextures, GLint * numTextures)` Part of `GL_QCOM_extended_get`
    `boolean` | `glExtIsProgramBinaryQCOM(int program)` Entry point to C language function: `GLboolean glExtIsProgramBinaryQCOM(GLuint program)` Part of `GL_QCOM_extended_get2`
    `void` | `glExtTexObjectStateOverrideiQCOM(int target, int pname, int param)` Entry point to C language function: `void glExtTexObjectStateOverrideiQCOM(GLenum target, GLenum pname, GLint param)` Part of `GL_QCOM_extended_get`
    `void` | `glFinishFenceNV(int arg0)` Entry point to C language function: `void glFinishFenceNV(GLuint)` Part of `GL_NV_fence`
    `void` | `glFramebufferTexture2DMultisampleEXT(int arg0, int arg1, int arg2, int arg3, int arg4, int arg5)` Entry point to C language function: `void glFramebufferTexture2DMultisampleEXT(GLenum, GLenum, GLenum, GLuint, GLint, GLsizei)` Part of `GL_EXT_multisampled_render_to_texture`
    `void` | `glFramebufferTexture2DMultisampleIMG(int arg0, int arg1, int arg2, int arg3, int arg4, int arg5)` Entry point to C language function: `void glFramebufferTexture2DMultisampleIMG(GLenum, GLenum, GLenum, GLuint, GLint, GLsizei)` Part of `GL_IMG_multisampled_render_to_texture`
    `void` | `glGenFencesNV(int arg0, int[] arg1, int arg1_offset)` Entry point to C language function: `void glGenFencesNV(GLsizei, GLuint * )` Part of `GL_NV_fence`
    `void` | `glGenFencesNV(int arg0, IntBuffer arg1)` Entry point to C language function: `void glGenFencesNV(GLsizei, GLuint * )` Part of `GL_NV_fence`
    `void` | `glGenPerfMonitorsAMD(int n, int[] monitors, int monitors_offset)` Entry point to C language function: `void glGenPerfMonitorsAMD(GLsizei n, GLuint * monitors)` Part of `GL_AMD_performance_monitor`
    `void` | `glGenPerfMonitorsAMD(int n, IntBuffer monitors)` Entry point to C language function: `void glGenPerfMonitorsAMD(GLsizei n, GLuint * monitors)` Part of `GL_AMD_performance_monitor`
    `void` | `glGenVertexArraysOES(int n, int[] arrays, int arrays_offset)` Entry point to C language function: `void glGenVertexArraysOES(GLsizei n, GLuint * arrays)` Part of `GL_OES_vertex_array_object`
    `void` | `glGenVertexArraysOES(int n, IntBuffer arrays)` Entry point to C language function: `void glGenVertexArraysOES(GLsizei n, GLuint * arrays)` Part of `GL_OES_vertex_array_object`
    `void` | `glGetDriverControlsQCOM(int[] num, int num_offset, int size, int[] driverControls, int driverControls_offset)` Entry point to C language function: `void glGetDriverControlsQCOM(GLint * num, GLsizei size, GLuint * driverControls)` Part of `GL_QCOM_driver_control`
    `void` | `glGetDriverControlsQCOM(IntBuffer num, int size, IntBuffer driverControls)` Entry point to C language function: `void glGetDriverControlsQCOM(GLint * num, GLsizei size, GLuint * driverControls)` Part of `GL_QCOM_driver_control`
    `void` | `glGetDriverControlStringQCOM(int driverControl, int bufSize, int[] length, int length_offset, byte[] driverControlString, int driverControlString_offset)` Entry point to C language function: `void glGetDriverControlStringQCOM(GLuint driverControl, GLsizei bufSize, GLsizei * length, GLchar * driverControlString)` Part of `GL_QCOM_driver_control`
    `void` | `glGetDriverControlStringQCOM(int driverControl, int bufSize, IntBuffer length, ByteBuffer driverControlString)` Entry point to C language function: `void glGetDriverControlStringQCOM(GLuint driverControl, GLsizei bufSize, GLsizei * length, GLchar * driverControlString)` Part of `GL_QCOM_driver_control`
    `void` | `glGetFenceivNV(int arg0, int arg1, int[] arg2, int arg2_offset)` Entry point to C language function: `void glGetFenceivNV(GLuint, GLenum, GLint * )` Part of `GL_NV_fence`
    `void` | `glGetFenceivNV(int arg0, int arg1, IntBuffer arg2)` Entry point to C language function: `void glGetFenceivNV(GLuint, GLenum, GLint * )` Part of `GL_NV_fence`
    `void` | `glGetIntegeri_vEXT(int target, int index, int[] data, int data_offset)` Entry point to C language function: `void glGetIntegeri_vEXT(GLenum target, GLuint index, GLint * data)` Part of `GL_EXT_multiview_draw_buffers`
    `void` | `glGetIntegeri_vEXT(int target, int index, IntBuffer data)` Entry point to C language function: `void glGetIntegeri_vEXT(GLenum target, GLuint index, GLint * data)` Part of `GL_EXT_multiview_draw_buffers`
    `void` | `glGetObjectLabelEXT(int type, int object, int bufSize, int[] length, int length_offset, byte[] label, int label_offset)` Entry point to C language function: `void glGetObjectLabelEXT(GLenum type, GLuint object, GLsizei bufSize, GLsizei * length, GLchar * label)` Part of `GL_EXT_debug_label`
    `void` | `glGetObjectLabelEXT(int type, int object, int bufSize, IntBuffer length, ByteBuffer label)` Entry point to C language function: `void glGetObjectLabelEXT(GLenum type, GLuint object, GLsizei bufSize, GLsizei * length, GLchar * label)` Part of `GL_EXT_debug_label`
    `void` | `glGetPerfMonitorCounterDataAMD(int monitor, int pname, int dataSize, int[] data, int data_offset, int[] bytesWritten, int bytesWritten_offset)` Entry point to C language function: `void glGetPerfMonitorCounterDataAMD(GLuint monitor, GLenum pname, GLsizei dataSize, GLuint * data, GLint * bytesWritten)` Part of `GL_AMD_performance_monitor`
    `void` | `glGetPerfMonitorCounterDataAMD(int monitor, int pname, int dataSize, IntBuffer data, IntBuffer bytesWritten)` Entry point to C language function: `void glGetPerfMonitorCounterDataAMD(GLuint monitor, GLenum pname, GLsizei dataSize, GLuint * data, GLint * bytesWritten)` Part of `GL_AMD_performance_monitor`
    `void` | `glGetPerfMonitorCounterInfoAMD(int group, int counter, int pname, Buffer data)` Entry point to C language function: `void glGetPerfMonitorCounterInfoAMD(GLuint group, GLuint counter, GLenum pname, GLvoid * data)` Part of `GL_AMD_performance_monitor`
    `void` | `glGetPerfMonitorCountersAMD(int group, int[] numCounters, int numCounters_offset, int[] maxActiveCounters, int maxActiveCounters_offset, int counterSize, int[] counters, int counters_offset)` Entry point to C language function: `void glGetPerfMonitorCountersAMD(GLuint group, GLint * numCounters, GLint * maxActiveCounters, GLsizei counterSize, GLuint * counters)` Part of `GL_AMD_performance_monitor`
    `void` | `glGetPerfMonitorCountersAMD(int group, IntBuffer numCounters, IntBuffer maxActiveCounters, int counterSize, IntBuffer counters)` Entry point to C language function: `void glGetPerfMonitorCountersAMD(GLuint group, GLint * numCounters, GLint * maxActiveCounters, GLsizei counterSize, GLuint * counters)` Part of `GL_AMD_performance_monitor`
    `void` | `glGetPerfMonitorCounterStringAMD(int group, int counter, int bufSize, int[] length, int length_offset, byte[] counterString, int counterString_offset)` Entry point to C language function: `void glGetPerfMonitorCounterStringAMD(GLuint group, GLuint counter, GLsizei bufSize, GLsizei * length, GLchar * counterString)` Part of `GL_AMD_performance_monitor`
    `void` | `glGetPerfMonitorCounterStringAMD(int group, int counter, int bufSize, IntBuffer length, ByteBuffer counterString)` Entry point to C language function: `void glGetPerfMonitorCounterStringAMD(GLuint group, GLuint counter, GLsizei bufSize, GLsizei * length, GLchar * counterString)` Part of `GL_AMD_performance_monitor`
    `void` | `glGetPerfMonitorGroupsAMD(int[] numGroups, int numGroups_offset, int groupsSize, int[] groups, int groups_offset)` Entry point to C language function: `void glGetPerfMonitorGroupsAMD(GLint * numGroups, GLsizei groupsSize, GLuint * groups)` Part of `GL_AMD_performance_monitor`
    `void` | `glGetPerfMonitorGroupsAMD(IntBuffer numGroups, int groupsSize, IntBuffer groups)` Entry point to C language function: `void glGetPerfMonitorGroupsAMD(GLint * numGroups, GLsizei groupsSize, GLuint * groups)` Part of `GL_AMD_performance_monitor`
    `void` | `glGetPerfMonitorGroupStringAMD(int group, int bufSize, int[] length, int length_offset, byte[] groupString, int groupString_offset)` Entry point to C language function: `void glGetPerfMonitorGroupStringAMD(GLuint group, GLsizei bufSize, GLsizei * length, GLchar * groupString)` Part of `GL_AMD_performance_monitor`
    `void` | `glGetPerfMonitorGroupStringAMD(int group, int bufSize, IntBuffer length, ByteBuffer groupString)` Entry point to C language function: `void glGetPerfMonitorGroupStringAMD(GLuint group, GLsizei bufSize, GLsizei * length, GLchar * groupString)` Part of `GL_AMD_performance_monitor`
    `void` | `glGetQueryObjecti64vEXT(int id, int pname, long[] params, int params_offset)` Entry point to C language function: `void glGetQueryObjecti64vEXT(GLuint id, GLenum pname, GLint64 * params)` Part of `GL_EXT_timer_query`, `GL_EXT_disjoint_timer_query`
    `void` | `glGetQueryObjecti64vEXT(int id, int pname, LongBuffer params)` Entry point to C language function: `void glGetQueryObjecti64vEXT(GLuint id, GLenum pname, GLint64 * params)` Part of `GL_EXT_timer_query`, `GL_EXT_disjoint_timer_query`
    `void` | `glGetQueryObjectivEXT(int id, int pname, int[] params, int params_offset)` Entry point to C language function: `void glGetQueryObjectivEXT(GLuint id, GLenum pname, GLint * params)` Part of `GL_EXT_disjoint_timer_query`
    `void` | `glGetQueryObjectivEXT(int id, int pname, IntBuffer params)` Entry point to C language function: `void glGetQueryObjectivEXT(GLuint id, GLenum pname, GLint * params)` Part of `GL_EXT_disjoint_timer_query`
    `void` | `glGetQueryObjectui64vEXT(int id, int pname, long[] params, int params_offset)` Entry point to C language function: `void glGetQueryObjectui64vEXT(GLuint id, GLenum pname, GLuint64 * params)` Part of `GL_EXT_timer_query`, `GL_EXT_disjoint_timer_query`
    `void` | `glGetQueryObjectui64vEXT(int id, int pname, LongBuffer params)` Entry point to C language function: `void glGetQueryObjectui64vEXT(GLuint id, GLenum pname, GLuint64 * params)` Part of `GL_EXT_timer_query`, `GL_EXT_disjoint_timer_query`
    `void` | `glGetTranslatedShaderSourceANGLE(int shader, int bufsize, int[] length, int length_offset, byte[] source, int source_offset)` Entry point to C language function: `void glGetTranslatedShaderSourceANGLE(GLuint shader, GLsizei bufsize, GLsizei * length, GLchar * source)` Part of `GL_ANGLE_translated_shader_source`
    `void` | `glGetTranslatedShaderSourceANGLE(int shader, int bufsize, IntBuffer length, ByteBuffer source)` Entry point to C language function: `void glGetTranslatedShaderSourceANGLE(GLuint shader, GLsizei bufsize, GLsizei * length, GLchar * source)` Part of `GL_ANGLE_translated_shader_source`
    `void` | `glInsertEventMarkerEXT(int length, byte[] marker, int marker_offset)` Entry point to C language function: `void glInsertEventMarkerEXT(GLsizei length, const GLchar * marker)` Part of `GL_EXT_debug_marker`
    `void` | `glInsertEventMarkerEXT(int length, ByteBuffer marker)` Entry point to C language function: `void glInsertEventMarkerEXT(GLsizei length, const GLchar * marker)` Part of `GL_EXT_debug_marker`
    `boolean` | `glIsFenceNV(int arg0)` Entry point to C language function: `GLboolean glIsFenceNV(GLuint)` Part of `GL_NV_fence`
    `boolean` | `glIsVertexArrayOES(int array)` Entry point to C language function: `GLboolean glIsVertexArrayOES(GLuint array)` Part of `GL_OES_vertex_array_object`
    `void` | `glLabelObjectEXT(int type, int object, int length, byte[] label, int label_offset)` Entry point to C language function: `void glLabelObjectEXT(GLenum type, GLuint object, GLsizei length, const GLchar * label)` Part of `GL_EXT_debug_label`
    `void` | `glLabelObjectEXT(int type, int object, int length, ByteBuffer label)` Entry point to C language function: `void glLabelObjectEXT(GLenum type, GLuint object, GLsizei length, const GLchar * label)` Part of `GL_EXT_debug_label`
    `void` | `glPopGroupMarkerEXT()` Entry point to C language function: `void glPopGroupMarkerEXT(void)` Part of `GL_EXT_debug_marker`
    `void` | `glPushGroupMarkerEXT(int length, byte[] marker, int marker_offset)` Entry point to C language function: `void glPushGroupMarkerEXT(GLsizei length, const GLchar * marker)` Part of `GL_EXT_debug_marker`
    `void` | `glPushGroupMarkerEXT(int length, ByteBuffer marker)` Entry point to C language function: `void glPushGroupMarkerEXT(GLsizei length, const GLchar * marker)` Part of `GL_EXT_debug_marker`
    `void` | `glQueryCounterEXT(int id, int target)` Entry point to C language function: `void glQueryCounterEXT(GLuint id, GLenum target)` Part of `GL_EXT_disjoint_timer_query`
    `void` | `glReadBufferIndexedEXT(int src, int index)` Entry point to C language function: `void glReadBufferIndexedEXT(GLenum src, GLint index)` Part of `GL_EXT_multiview_draw_buffers`
    `void` | `glReadBufferNV(int mode)` Entry point to C language function: `void glReadBufferNV(GLenum mode)` Part of `GL_NV_read_buffer`
    `void` | `glRenderbufferStorageMultisampleANGLE(int target, int samples, int internalformat, int width, int height)` Entry point to C language function: `void glRenderbufferStorageMultisampleANGLE(GLenum target, GLsizei samples, GLenum internalformat, GLsizei width, GLsizei height)` Part of `GL_ANGLE_framebuffer_multisample`
    `void` | `glRenderbufferStorageMultisampleAPPLE(int arg0, int arg1, int arg2, int arg3, int arg4)` Entry point to C language function: `void glRenderbufferStorageMultisampleAPPLE(GLenum, GLsizei, GLenum, GLsizei, GLsizei)` Part of `GL_APPLE_framebuffer_multisample`
    `void` | `glRenderbufferStorageMultisampleIMG(int arg0, int arg1, int arg2, int arg3, int arg4)` Entry point to C language function: `void glRenderbufferStorageMultisampleIMG(GLenum, GLsizei, GLenum, GLsizei, GLsizei)` Part of `GL_IMG_multisampled_render_to_texture`
    `void` | `glRenderbufferStorageMultisampleNV(int target, int samples, int internalformat, int width, int height)` Entry point to C language function: `void glRenderbufferStorageMultisampleNV(GLenum target, GLsizei samples, GLenum internalformat, GLsizei width, GLsizei height)` Part of `GL_NV_framebuffer_multisample`
    `void` | `glResolveMultisampleFramebufferAPPLE()` Entry point to C language function: `void glResolveMultisampleFramebufferAPPLE(void)` Part of `GL_APPLE_framebuffer_multisample`
    `void` | `glSelectPerfMonitorCountersAMD(int monitor, boolean enable, int group, int numCounters, int[] countersList, int countersList_offset)` Entry point to C language function: `void glSelectPerfMonitorCountersAMD(GLuint monitor, GLboolean enable, GLuint group, GLint numCounters, GLuint * countersList)` Part of `GL_AMD_performance_monitor`
    `void` | `glSelectPerfMonitorCountersAMD(int monitor, boolean enable, int group, int numCounters, IntBuffer countersList)` Entry point to C language function: `void glSelectPerfMonitorCountersAMD(GLuint monitor, GLboolean enable, GLuint group, GLint numCounters, GLuint * countersList)` Part of `GL_AMD_performance_monitor`
    `void` | `glSetFenceNV(int arg0, int arg1)` Entry point to C language function: `void glSetFenceNV(GLuint, GLenum)` Part of `GL_NV_fence`
    `void` | `glStartTilingQCOM(int x, int y, int width, int height, int preserveMask)` Entry point to C language function: `void glStartTilingQCOM(GLuint x, GLuint y, GLuint width, GLuint height, GLbitfield preserveMask)` Part of `GL_QCOM_tiled_rendering`
    `boolean` | `glTestFenceNV(int arg0)` Entry point to C language function: `GLboolean glTestFenceNV(GLuint)` Part of `GL_NV_fence`
    `void` | `glVertexAttribDivisorANGLE(int index, int divisor)` Entry point to C language function: `void glVertexAttribDivisorANGLE(GLuint index, GLuint divisor)` Part of `GL_ANGLE_instanced_arrays`
    `void` | `glVertexAttribDivisorNV(int index, int divisor)` Entry point to C language function: `void glVertexAttribDivisorNV(GLuint index, GLuint divisor)` Part of `GL_NV_instanced_arrays`
    `void` | `glVertexAttribPointer(int indx, int size, int type, boolean normalized, int stride, Buffer ptr)` Entry point to C language function: `void glVertexAttribPointer(GLuint indx, GLint size, GLenum type, GLboolean normalized, GLsizei stride, const GLvoid * ptr);` Part of `GL_ES_VERSION_2_0`, `GL_VERSION_2_0`

    - ### Methods inherited from interface javax.media.opengl.GL2ES2

      `glAttachShader, glBeginQuery, glBindAttribLocation, glBlendColor, glClearDepth, glClearDepthf, glCompileShader, glCompressedTexImage3D, glCompressedTexImage3D, glCompressedTexSubImage3D, glCompressedTexSubImage3D, glCopyTexSubImage3D, glCreateProgram, glCreateShader, glDebugMessageControl, glDebugMessageControl, glDebugMessageInsert, glDeleteProgram, glDeleteQueries, glDeleteQueries, glDeleteShader, glDepthRange, glDepthRangef, glDetachShader, glDisableVertexAttribArray, glEnableVertexAttribArray, glEndQuery, glFramebufferTexture3D, glGenQueries, glGenQueries, glGetActiveAttrib, glGetActiveAttrib, glGetActiveUniform, glGetActiveUniform, glGetAttachedShaders, glGetAttachedShaders, glGetAttribLocation, glGetDebugMessageLog, glGetDebugMessageLog, glGetObjectLabel, glGetObjectLabel, glGetObjectPtrLabel, glGetObjectPtrLabel, glGetProgramBinary, glGetProgramBinary, glGetProgramInfoLog, glGetProgramInfoLog, glGetProgramiv, glGetProgramiv, glGetQueryiv, glGetQueryiv, glGetQueryObjectuiv, glGetQueryObjectuiv, glGetShaderInfoLog, glGetShaderInfoLog, glGetShaderiv, glGetShaderiv, glGetShaderPrecisionFormat, glGetShaderPrecisionFormat, glGetShaderSource, glGetShaderSource, glGetUniformfv, glGetUniformfv, glGetUniformiv, glGetUniformiv, glGetUniformLocation, glGetVertexAttribfv, glGetVertexAttribfv, glGetVertexAttribiv, glGetVertexAttribiv, glIsProgram, glIsQuery, glIsShader, glLinkProgram, glObjectLabel, glObjectLabel, glObjectPtrLabel, glObjectPtrLabel, glPopDebugGroup, glProgramBinary, glPushDebugGroup, glPushDebugGroup, glReleaseShaderCompiler, glShaderBinary, glShaderBinary, glShaderSource, glShaderSource, glStencilFuncSeparate, glStencilMaskSeparate, glStencilOpSeparate, glTexImage3D, glTexImage3D, glTexSubImage3D, glTexSubImage3D, glUniform, glUniform1f, glUniform1fv, glUniform1fv, glUniform1i, glUniform1iv, glUniform1iv, glUniform2f, glUniform2fv, glUniform2fv, glUniform2i, glUniform2iv, glUniform2iv, glUniform3f, glUniform3fv, glUniform3fv, glUniform3i, glUniform3iv, glUniform3iv, glUniform4f, glUniform4fv, glUniform4fv, glUniform4i, glUniform4iv, glUniform4iv, glUniformMatrix2fv, glUniformMatrix2fv, glUniformMatrix3fv, glUniformMatrix3fv, glUniformMatrix4fv, glUniformMatrix4fv, glUseProgram, glValidateProgram, glVertexAttrib1f, glVertexAttrib1fv, glVertexAttrib1fv, glVertexAttrib2f, glVertexAttrib2fv, glVertexAttrib2fv, glVertexAttrib3f, glVertexAttrib3fv, glVertexAttrib3fv, glVertexAttrib4f, glVertexAttrib4fv, glVertexAttrib4fv, glVertexAttribPointer, glVertexAttribPointer`

    - ### Methods inherited from interface javax.media.opengl.GL

      `glActiveTexture, glBindBuffer, glBindFramebuffer, glBindRenderbuffer, glBindTexture, glBlendEquation, glBlendEquationSeparate, glBlendFunc, glBlendFuncSeparate, glBufferData, glBufferSubData, glCheckFramebufferStatus, glClear, glClearColor, glClearStencil, glColorMask, glCompressedTexImage2D, glCompressedTexImage2D, glCompressedTexSubImage2D, glCompressedTexSubImage2D, glCopyTexImage2D, glCopyTexSubImage2D, glCullFace, glDeleteBuffers, glDeleteBuffers, glDeleteFramebuffers, glDeleteFramebuffers, glDeleteRenderbuffers, glDeleteRenderbuffers, glDeleteTextures, glDeleteTextures, glDepthFunc, glDepthMask, glDisable, glDrawArrays, glDrawElements, glEnable, glFinish, glFlush, glFlushMappedBufferRange, glFramebufferRenderbuffer, glFramebufferTexture2D, glFrontFace, glGenBuffers, glGenBuffers, glGenerateMipmap, glGenFramebuffers, glGenFramebuffers, glGenRenderbuffers, glGenRenderbuffers, glGenTextures, glGenTextures, glGetBooleanv, glGetBooleanv, glGetBufferParameteriv, glGetBufferParameteriv, glGetError, glGetFloatv, glGetFloatv, glGetFramebufferAttachmentParameteriv, glGetFramebufferAttachmentParameteriv, glGetGraphicsResetStatus, glGetIntegerv, glGetIntegerv, glGetnUniformfv, glGetnUniformfv, glGetnUniformiv, glGetnUniformiv, glGetRenderbufferParameteriv, glGetRenderbufferParameteriv, glGetString, glGetTexParameterfv, glGetTexParameterfv, glGetTexParameteriv, glGetTexParameteriv, glHint, glIsBuffer, glIsEnabled, glIsFramebuffer, glIsRenderbuffer, glIsTexture, glLineWidth, glMapBuffer, glMapBufferRange, glPixelStorei, glPolygonOffset, glReadnPixels, glReadPixels, glReadPixels, glRenderbufferStorage, glSampleCoverage, glScissor, glStencilFunc, glStencilMask, glStencilOp, glTexImage2D, glTexImage2D, glTexParameterf, glTexParameterfv, glTexParameterfv, glTexParameteri, glTexParameteriv, glTexParameteriv, glTexStorage1D, glTexStorage2D, glTexStorage3D, glTexSubImage2D, glTexSubImage2D, glTextureStorage1D, glTextureStorage2D, glTextureStorage3D, glUnmapBuffer, glViewport`

    - ### Methods inherited from interface javax.media.opengl.GLBase

      `getBoundBuffer, getBoundFramebuffer, getBufferStorage, getContext, getDefaultDrawFramebuffer, getDefaultReadBuffer, getDefaultReadFramebuffer, getDownstreamGL, getExtension, getGL, getGL2, getGL2ES1, getGL2ES2, getGL2ES3, getGL2GL3, getGL3, getGL3bc, getGL3ES3, getGL4, getGL4bc, getGL4ES3, getGLES1, getGLES2, getGLES3, getGLProfile, getMaxRenderbufferSamples, getPlatformGLExtensions, getRootGL, getSwapInterval, hasBasicFBOSupport, hasFullFBOSupport, hasGLSL, isExtensionAvailable, isFunctionAvailable, isGL, isGL2, isGL2ES1, isGL2ES2, isGL2ES3, isGL2GL3, isGL3, isGL3bc, isGL3core, isGL3ES3, isGL4, isGL4bc, isGL4core, isGL4ES3, isGLcore, isGLES, isGLES1, isGLES2, isGLES2Compatible, isGLES3, isGLES3Compatible, isNPOTTextureAvailable, isTextureFormatBGRA8888Available, isVBOArrayBound, isVBOElementArrayBound, mapBuffer, mapBufferRange, setSwapInterval`

- - ### Field Detail

    - #### GL_ETC1_RGB8_OES

          static final int GL_ETC1_RGB8_OES

      Part of `GL_OES_compressed_ETC1_RGB8_texture`
      See Also:
        Constant Field Values

    - #### GL_PALETTE4_RGB8_OES

          static final int GL_PALETTE4_RGB8_OES

      Part of `GL_OES_compressed_paletted_texture`
      See Also:
        Constant Field Values

    - #### GL_PALETTE4_RGBA8_OES

          static final int GL_PALETTE4_RGBA8_OES

      Part of `GL_OES_compressed_paletted_texture`
      See Also:
        Constant Field Values

    - #### GL_PALETTE4_R5_G6_B5_OES

          static final int GL_PALETTE4_R5_G6_B5_OES

      Part of `GL_OES_compressed_paletted_texture`
      See Also:
        Constant Field Values

    - #### GL_PALETTE4_RGBA4_OES

          static final int GL_PALETTE4_RGBA4_OES

      Part of `GL_OES_compressed_paletted_texture`
      See Also:
        Constant Field Values

    - #### GL_PALETTE4_RGB5_A1_OES

          static final int GL_PALETTE4_RGB5_A1_OES

      Part of `GL_OES_compressed_paletted_texture`
      See Also:
        Constant Field Values

    - #### GL_PALETTE8_RGB8_OES

          static final int GL_PALETTE8_RGB8_OES

      Part of `GL_OES_compressed_paletted_texture`
      See Also:
        Constant Field Values

    - #### GL_PALETTE8_RGBA8_OES

          static final int GL_PALETTE8_RGBA8_OES

      Part of `GL_OES_compressed_paletted_texture`
      See Also:
        Constant Field Values

    - #### GL_PALETTE8_R5_G6_B5_OES

          static final int GL_PALETTE8_R5_G6_B5_OES

      Part of `GL_OES_compressed_paletted_texture`
      See Also:
        Constant Field Values

    - #### GL_PALETTE8_RGBA4_OES

          static final int GL_PALETTE8_RGBA4_OES

      Part of `GL_OES_compressed_paletted_texture`
      See Also:
        Constant Field Values

    - #### GL_PALETTE8_RGB5_A1_OES

          static final int GL_PALETTE8_RGB5_A1_OES

      Part of `GL_OES_compressed_paletted_texture`
      See Also:
        Constant Field Values

    - #### GL_TEXTURE_EXTERNAL_OES

          static final int GL_TEXTURE_EXTERNAL_OES

      Part of `GL_OES_EGL_image_external`
      See Also:
        Constant Field Values

    - #### GL_SAMPLER_EXTERNAL_OES

          static final int GL_SAMPLER_EXTERNAL_OES

      Part of `GL_OES_EGL_image_external`
      See Also:
        Constant Field Values

    - #### GL_TEXTURE_BINDING_EXTERNAL_OES

          static final int GL_TEXTURE_BINDING_EXTERNAL_OES

      Part of `GL_OES_EGL_image_external`
      See Also:
        Constant Field Values

    - #### GL_REQUIRED_TEXTURE_IMAGE_UNITS_OES

          static final int GL_REQUIRED_TEXTURE_IMAGE_UNITS_OES

      Part of `GL_OES_EGL_image_external`
      See Also:
        Constant Field Values

    - #### GL_LUMINANCE4_ALPHA4

          static final int GL_LUMINANCE4_ALPHA4

      Part of `GL_VERSION_1_1`; `GL_OES_required_internalformat`
      See Also:
        Constant Field Values

    - #### GL_LUMINANCE8_ALPHA8

          static final int GL_LUMINANCE8_ALPHA8

      Part of `GL_VERSION_1_1`; `GL_EXT_texture`, `GL_EXT_texture_storage`; `GL_OES_required_internalformat`
      See Also:
        Constant Field Values

    - #### GL_LUMINANCE8

          static final int GL_LUMINANCE8

      Part of `GL_VERSION_1_1`; `GL_EXT_texture`, `GL_EXT_texture_storage`; `GL_OES_required_internalformat`
      See Also:
        Constant Field Values

    - #### GL_FRAMEBUFFER_UNDEFINED_OES

          static final int GL_FRAMEBUFFER_UNDEFINED_OES

      Part of `GL_OES_surfaceless_context`
      See Also:
        Constant Field Values

    - #### GL_FRAMEBUFFER_ATTACHMENT_TEXTURE_3D_ZOFFSET

          static final int GL_FRAMEBUFFER_ATTACHMENT_TEXTURE_3D_ZOFFSET

      Part of `GL_OES_texture_3D`
      See Also:
        Constant Field Values

    - #### GL_HALF_FLOAT_OES

          static final int GL_HALF_FLOAT_OES

      Part of `GL_OES_texture_half_float`
      See Also:
        Constant Field Values

    - #### GL_VERTEX_ARRAY_BINDING_OES

          static final int GL_VERTEX_ARRAY_BINDING_OES

      Part of `GL_OES_vertex_array_object`
      See Also:
        Constant Field Values

    - #### GL_COMPRESSED_RGBA_ASTC_4x4_KHR

          static final int GL_COMPRESSED_RGBA_ASTC_4x4_KHR

      Part of `GL_KHR_texture_compression_astc_ldr`
      See Also:
        Constant Field Values

    - #### GL_COMPRESSED_RGBA_ASTC_5x4_KHR

          static final int GL_COMPRESSED_RGBA_ASTC_5x4_KHR

      Part of `GL_KHR_texture_compression_astc_ldr`
      See Also:
        Constant Field Values

    - #### GL_COMPRESSED_RGBA_ASTC_5x5_KHR

          static final int GL_COMPRESSED_RGBA_ASTC_5x5_KHR

      Part of `GL_KHR_texture_compression_astc_ldr`
      See Also:
        Constant Field Values

    - #### GL_COMPRESSED_RGBA_ASTC_6x5_KHR

          static final int GL_COMPRESSED_RGBA_ASTC_6x5_KHR

      Part of `GL_KHR_texture_compression_astc_ldr`
      See Also:
        Constant Field Values

    - #### GL_COMPRESSED_RGBA_ASTC_6x6_KHR

          static final int GL_COMPRESSED_RGBA_ASTC_6x6_KHR

      Part of `GL_KHR_texture_compression_astc_ldr`
      See Also:
        Constant Field Values

    - #### GL_COMPRESSED_RGBA_ASTC_8x5_KHR

          static final int GL_COMPRESSED_RGBA_ASTC_8x5_KHR

      Part of `GL_KHR_texture_compression_astc_ldr`
      See Also:
        Constant Field Values

    - #### GL_COMPRESSED_RGBA_ASTC_8x6_KHR

          static final int GL_COMPRESSED_RGBA_ASTC_8x6_KHR

      Part of `GL_KHR_texture_compression_astc_ldr`
      See Also:
        Constant Field Values

    - #### GL_COMPRESSED_RGBA_ASTC_8x8_KHR

          static final int GL_COMPRESSED_RGBA_ASTC_8x8_KHR

      Part of `GL_KHR_texture_compression_astc_ldr`
      See Also:
        Constant Field Values

    - #### GL_COMPRESSED_RGBA_ASTC_10x5_KHR

          static final int GL_COMPRESSED_RGBA_ASTC_10x5_KHR

      Part of `GL_KHR_texture_compression_astc_ldr`
      See Also:
        Constant Field Values

    - #### GL_COMPRESSED_RGBA_ASTC_10x6_KHR

          static final int GL_COMPRESSED_RGBA_ASTC_10x6_KHR

      Part of `GL_KHR_texture_compression_astc_ldr`
      See Also:
        Constant Field Values

    - #### GL_COMPRESSED_RGBA_ASTC_10x8_KHR

          static final int GL_COMPRESSED_RGBA_ASTC_10x8_KHR

      Part of `GL_KHR_texture_compression_astc_ldr`
      See Also:
        Constant Field Values

    - #### GL_COMPRESSED_RGBA_ASTC_10x10_KHR

          static final int GL_COMPRESSED_RGBA_ASTC_10x10_KHR

      Part of `GL_KHR_texture_compression_astc_ldr`
      See Also:
        Constant Field Values

    - #### GL_COMPRESSED_RGBA_ASTC_12x10_KHR

          static final int GL_COMPRESSED_RGBA_ASTC_12x10_KHR

      Part of `GL_KHR_texture_compression_astc_ldr`
      See Also:
        Constant Field Values

    - #### GL_COMPRESSED_RGBA_ASTC_12x12_KHR

          static final int GL_COMPRESSED_RGBA_ASTC_12x12_KHR

      Part of `GL_KHR_texture_compression_astc_ldr`
      See Also:
        Constant Field Values

    - #### GL_COMPRESSED_SRGB8_ALPHA8_ASTC_4x4_KHR

          static final int GL_COMPRESSED_SRGB8_ALPHA8_ASTC_4x4_KHR

      Part of `GL_KHR_texture_compression_astc_ldr`
      See Also:
        Constant Field Values

    - #### GL_COMPRESSED_SRGB8_ALPHA8_ASTC_5x4_KHR

          static final int GL_COMPRESSED_SRGB8_ALPHA8_ASTC_5x4_KHR

      Part of `GL_KHR_texture_compression_astc_ldr`
      See Also:
        Constant Field Values

    - #### GL_COMPRESSED_SRGB8_ALPHA8_ASTC_5x5_KHR

          static final int GL_COMPRESSED_SRGB8_ALPHA8_ASTC_5x5_KHR

      Part of `GL_KHR_texture_compression_astc_ldr`
      See Also:
        Constant Field Values

    - #### GL_COMPRESSED_SRGB8_ALPHA8_ASTC_6x5_KHR

          static final int GL_COMPRESSED_SRGB8_ALPHA8_ASTC_6x5_KHR

      Part of `GL_KHR_texture_compression_astc_ldr`
      See Also:
        Constant Field Values

    - #### GL_COMPRESSED_SRGB8_ALPHA8_ASTC_6x6_KHR

          static final int GL_COMPRESSED_SRGB8_ALPHA8_ASTC_6x6_KHR

      Part of `GL_KHR_texture_compression_astc_ldr`
      See Also:
        Constant Field Values

    - #### GL_COMPRESSED_SRGB8_ALPHA8_ASTC_8x5_KHR

          static final int GL_COMPRESSED_SRGB8_ALPHA8_ASTC_8x5_KHR

      Part of `GL_KHR_texture_compression_astc_ldr`
      See Also:
        Constant Field Values

    - #### GL_COMPRESSED_SRGB8_ALPHA8_ASTC_8x6_KHR

          static final int GL_COMPRESSED_SRGB8_ALPHA8_ASTC_8x6_KHR

      Part of `GL_KHR_texture_compression_astc_ldr`
      See Also:
        Constant Field Values

    - #### GL_COMPRESSED_SRGB8_ALPHA8_ASTC_8x8_KHR

          static final int GL_COMPRESSED_SRGB8_ALPHA8_ASTC_8x8_KHR

      Part of `GL_KHR_texture_compression_astc_ldr`
      See Also:
        Constant Field Values

    - #### GL_COMPRESSED_SRGB8_ALPHA8_ASTC_10x5_KHR

          static final int GL_COMPRESSED_SRGB8_ALPHA8_ASTC_10x5_KHR

      Part of `GL_KHR_texture_compression_astc_ldr`
      See Also:
        Constant Field Values

    - #### GL_COMPRESSED_SRGB8_ALPHA8_ASTC_10x6_KHR

          static final int GL_COMPRESSED_SRGB8_ALPHA8_ASTC_10x6_KHR

      Part of `GL_KHR_texture_compression_astc_ldr`
      See Also:
        Constant Field Values

    - #### GL_COMPRESSED_SRGB8_ALPHA8_ASTC_10x8_KHR

          static final int GL_COMPRESSED_SRGB8_ALPHA8_ASTC_10x8_KHR

      Part of `GL_KHR_texture_compression_astc_ldr`
      See Also:
        Constant Field Values

    - #### GL_COMPRESSED_SRGB8_ALPHA8_ASTC_10x10_KHR

          static final int GL_COMPRESSED_SRGB8_ALPHA8_ASTC_10x10_KHR

      Part of `GL_KHR_texture_compression_astc_ldr`
      See Also:
        Constant Field Values

    - #### GL_COMPRESSED_SRGB8_ALPHA8_ASTC_12x10_KHR

          static final int GL_COMPRESSED_SRGB8_ALPHA8_ASTC_12x10_KHR

      Part of `GL_KHR_texture_compression_astc_ldr`
      See Also:
        Constant Field Values

    - #### GL_COMPRESSED_SRGB8_ALPHA8_ASTC_12x12_KHR

          static final int GL_COMPRESSED_SRGB8_ALPHA8_ASTC_12x12_KHR

      Part of `GL_KHR_texture_compression_astc_ldr`
      See Also:
        Constant Field Values

    - #### GL_3DC_X_AMD

          static final int GL_3DC_X_AMD

      Part of `GL_AMD_compressed_3DC_texture`
      See Also:
        Constant Field Values

    - #### GL_3DC_XY_AMD

          static final int GL_3DC_XY_AMD

      Part of `GL_AMD_compressed_3DC_texture`
      See Also:
        Constant Field Values

    - #### GL_ATC_RGB_AMD

          static final int GL_ATC_RGB_AMD

      Part of `GL_AMD_compressed_ATC_texture`
      See Also:
        Constant Field Values

    - #### GL_ATC_RGBA_EXPLICIT_ALPHA_AMD

          static final int GL_ATC_RGBA_EXPLICIT_ALPHA_AMD

      Part of `GL_AMD_compressed_ATC_texture`
      See Also:
        Constant Field Values

    - #### GL_ATC_RGBA_INTERPOLATED_ALPHA_AMD

          static final int GL_ATC_RGBA_INTERPOLATED_ALPHA_AMD

      Part of `GL_AMD_compressed_ATC_texture`
      See Also:
        Constant Field Values

    - #### GL_COUNTER_TYPE_AMD

          static final int GL_COUNTER_TYPE_AMD

      Part of `GL_AMD_performance_monitor`
      See Also:
        Constant Field Values

    - #### GL_COUNTER_RANGE_AMD

          static final int GL_COUNTER_RANGE_AMD

      Part of `GL_AMD_performance_monitor`
      See Also:
        Constant Field Values

    - #### GL_UNSIGNED_INT64_AMD

          static final int GL_UNSIGNED_INT64_AMD

      Part of `GL_AMD_performance_monitor`
      See Also:
        Constant Field Values

    - #### GL_PERCENTAGE_AMD

          static final int GL_PERCENTAGE_AMD

      Part of `GL_AMD_performance_monitor`
      See Also:
        Constant Field Values

    - #### GL_PERFMON_RESULT_AVAILABLE_AMD

          static final int GL_PERFMON_RESULT_AVAILABLE_AMD

      Part of `GL_AMD_performance_monitor`
      See Also:
        Constant Field Values

    - #### GL_PERFMON_RESULT_SIZE_AMD

          static final int GL_PERFMON_RESULT_SIZE_AMD

      Part of `GL_AMD_performance_monitor`
      See Also:
        Constant Field Values

    - #### GL_PERFMON_RESULT_AMD

          static final int GL_PERFMON_RESULT_AMD

      Part of `GL_AMD_performance_monitor`
      See Also:
        Constant Field Values

    - #### GL_Z400_BINARY_AMD

          static final int GL_Z400_BINARY_AMD

      Part of `GL_AMD_program_binary_Z400`
      See Also:
        Constant Field Values

    - #### GL_READ_FRAMEBUFFER_ANGLE

          static final int GL_READ_FRAMEBUFFER_ANGLE

      Part of `GL_ANGLE_framebuffer_blit`
      See Also:
        Constant Field Values

    - #### GL_DRAW_FRAMEBUFFER_ANGLE

          static final int GL_DRAW_FRAMEBUFFER_ANGLE

      Part of `GL_ANGLE_framebuffer_blit`
      See Also:
        Constant Field Values

    - #### GL_DRAW_FRAMEBUFFER_BINDING_ANGLE

          static final int GL_DRAW_FRAMEBUFFER_BINDING_ANGLE

      Part of `GL_ANGLE_framebuffer_blit`
      See Also:
        Constant Field Values

    - #### GL_READ_FRAMEBUFFER_BINDING_ANGLE

          static final int GL_READ_FRAMEBUFFER_BINDING_ANGLE

      Part of `GL_ANGLE_framebuffer_blit`
      See Also:
        Constant Field Values

    - #### GL_RENDERBUFFER_SAMPLES_ANGLE

          static final int GL_RENDERBUFFER_SAMPLES_ANGLE

      Part of `GL_ANGLE_framebuffer_multisample`
      See Also:
        Constant Field Values

    - #### GL_FRAMEBUFFER_INCOMPLETE_MULTISAMPLE_ANGLE

          static final int GL_FRAMEBUFFER_INCOMPLETE_MULTISAMPLE_ANGLE

      Part of `GL_ANGLE_framebuffer_multisample`
      See Also:
        Constant Field Values

    - #### GL_MAX_SAMPLES_ANGLE

          static final int GL_MAX_SAMPLES_ANGLE

      Part of `GL_ANGLE_framebuffer_multisample`
      See Also:
        Constant Field Values

    - #### GL_VERTEX_ATTRIB_ARRAY_DIVISOR_ANGLE

          static final int GL_VERTEX_ATTRIB_ARRAY_DIVISOR_ANGLE

      Part of `GL_ANGLE_instanced_arrays`
      See Also:
        Constant Field Values

    - #### GL_PACK_REVERSE_ROW_ORDER_ANGLE

          static final int GL_PACK_REVERSE_ROW_ORDER_ANGLE

      Part of `GL_ANGLE_pack_reverse_row_order`
      See Also:
        Constant Field Values

    - #### GL_PROGRAM_BINARY_ANGLE

          static final int GL_PROGRAM_BINARY_ANGLE

      Part of `GL_ANGLE_program_binary`
      See Also:
        Constant Field Values

    - #### GL_COMPRESSED_RGBA_S3TC_DXT3_ANGLE

          static final int GL_COMPRESSED_RGBA_S3TC_DXT3_ANGLE

      Part of `GL_ANGLE_texture_compression_dxt3`
      See Also:
        Constant Field Values

    - #### GL_COMPRESSED_RGBA_S3TC_DXT5_ANGLE

          static final int GL_COMPRESSED_RGBA_S3TC_DXT5_ANGLE

      Part of `GL_ANGLE_texture_compression_dxt5`
      See Also:
        Constant Field Values

    - #### GL_TEXTURE_USAGE_ANGLE

          static final int GL_TEXTURE_USAGE_ANGLE

      Part of `GL_ANGLE_texture_usage`
      See Also:
        Constant Field Values

    - #### GL_FRAMEBUFFER_ATTACHMENT_ANGLE

          static final int GL_FRAMEBUFFER_ATTACHMENT_ANGLE

      Part of `GL_ANGLE_texture_usage`
      See Also:
        Constant Field Values

    - #### GL_TRANSLATED_SHADER_SOURCE_LENGTH_ANGLE

          static final int GL_TRANSLATED_SHADER_SOURCE_LENGTH_ANGLE

      Part of `GL_ANGLE_translated_shader_source`
      See Also:
        Constant Field Values

    - #### GL_RENDERBUFFER_SAMPLES_APPLE

          static final int GL_RENDERBUFFER_SAMPLES_APPLE

      Part of `GL_APPLE_framebuffer_multisample`
      See Also:
        Constant Field Values

    - #### GL_FRAMEBUFFER_INCOMPLETE_MULTISAMPLE_APPLE

          static final int GL_FRAMEBUFFER_INCOMPLETE_MULTISAMPLE_APPLE

      Part of `GL_APPLE_framebuffer_multisample`
      See Also:
        Constant Field Values

    - #### GL_MAX_SAMPLES_APPLE

          static final int GL_MAX_SAMPLES_APPLE

      Part of `GL_APPLE_framebuffer_multisample`
      See Also:
        Constant Field Values

    - #### GL_READ_FRAMEBUFFER_APPLE

          static final int GL_READ_FRAMEBUFFER_APPLE

      Part of `GL_APPLE_framebuffer_multisample`
      See Also:
        Constant Field Values

    - #### GL_DRAW_FRAMEBUFFER_APPLE

          static final int GL_DRAW_FRAMEBUFFER_APPLE

      Part of `GL_APPLE_framebuffer_multisample`
      See Also:
        Constant Field Values

    - #### GL_DRAW_FRAMEBUFFER_BINDING_APPLE

          static final int GL_DRAW_FRAMEBUFFER_BINDING_APPLE

      Part of `GL_APPLE_framebuffer_multisample`
      See Also:
        Constant Field Values

    - #### GL_READ_FRAMEBUFFER_BINDING_APPLE

          static final int GL_READ_FRAMEBUFFER_BINDING_APPLE

      Part of `GL_APPLE_framebuffer_multisample`
      See Also:
        Constant Field Values

    - #### GL_RGB_422_APPLE

          static final int GL_RGB_422_APPLE

      Part of `GL_APPLE_rgb_422`
      See Also:
        Constant Field Values

    - #### GL_UNSIGNED_SHORT_8_8_APPLE

          static final int GL_UNSIGNED_SHORT_8_8_APPLE

      Part of `GL_APPLE_ycbcr_422`, `GL_APPLE_rgb_422`
      See Also:
        Constant Field Values

    - #### GL_UNSIGNED_SHORT_8_8_REV_APPLE

          static final int GL_UNSIGNED_SHORT_8_8_REV_APPLE

      Part of `GL_APPLE_ycbcr_422`, `GL_APPLE_rgb_422`
      See Also:
        Constant Field Values

    - #### GL_TEXTURE_MAX_LEVEL_APPLE

          static final int GL_TEXTURE_MAX_LEVEL_APPLE

      Part of `GL_APPLE_texture_max_level`
      See Also:
        Constant Field Values

    - #### GL_MALI_PROGRAM_BINARY_ARM

          static final int GL_MALI_PROGRAM_BINARY_ARM

      Part of `GL_ARM_mali_program_binary`
      See Also:
        Constant Field Values

    - #### GL_MALI_SHADER_BINARY_ARM

          static final int GL_MALI_SHADER_BINARY_ARM

      Part of `GL_ARM_mali_shader_binary`
      See Also:
        Constant Field Values

    - #### GL_PROGRAM_PIPELINE_OBJECT_EXT

          static final int GL_PROGRAM_PIPELINE_OBJECT_EXT

      Part of `GL_EXT_debug_label`
      See Also:
        Constant Field Values

    - #### GL_PROGRAM_OBJECT_EXT

          static final int GL_PROGRAM_OBJECT_EXT

      Part of `GL_EXT_debug_label`
      See Also:
        Constant Field Values

    - #### GL_SHADER_OBJECT_EXT

          static final int GL_SHADER_OBJECT_EXT

      Part of `GL_EXT_debug_label`
      See Also:
        Constant Field Values

    - #### GL_BUFFER_OBJECT_EXT

          static final int GL_BUFFER_OBJECT_EXT

      Part of `GL_EXT_debug_label`
      See Also:
        Constant Field Values

    - #### GL_QUERY_OBJECT_EXT

          static final int GL_QUERY_OBJECT_EXT

      Part of `GL_EXT_debug_label`
      See Also:
        Constant Field Values

    - #### GL_VERTEX_ARRAY_OBJECT_EXT

          static final int GL_VERTEX_ARRAY_OBJECT_EXT

      Part of `GL_EXT_debug_label`
      See Also:
        Constant Field Values

    - #### GL_COLOR_EXT

          static final int GL_COLOR_EXT

      Part of `GL_EXT_discard_framebuffer`
      See Also:
        Constant Field Values

    - #### GL_DEPTH_EXT

          static final int GL_DEPTH_EXT

      Part of `GL_EXT_discard_framebuffer`
      See Also:
        Constant Field Values

    - #### GL_STENCIL_EXT

          static final int GL_STENCIL_EXT

      Part of `GL_EXT_discard_framebuffer`
      See Also:
        Constant Field Values

    - #### GL_QUERY_COUNTER_BITS_EXT

          static final int GL_QUERY_COUNTER_BITS_EXT

      Part of `GL_EXT_disjoint_timer_query`
      See Also:
        Constant Field Values

    - #### GL_TIME_ELAPSED_EXT

          static final int GL_TIME_ELAPSED_EXT

      Part of `GL_EXT_timer_query`, `GL_EXT_disjoint_timer_query`
      See Also:
        Constant Field Values

    - #### GL_TIMESTAMP_EXT

          static final int GL_TIMESTAMP_EXT

      Part of `GL_EXT_disjoint_timer_query`
      See Also:
        Constant Field Values

    - #### GL_GPU_DISJOINT_EXT

          static final int GL_GPU_DISJOINT_EXT

      Part of `GL_EXT_disjoint_timer_query`
      See Also:
        Constant Field Values

    - #### GL_FRAMEBUFFER_ATTACHMENT_TEXTURE_SAMPLES_EXT

          static final int GL_FRAMEBUFFER_ATTACHMENT_TEXTURE_SAMPLES_EXT

      Part of `GL_EXT_multisampled_render_to_texture`
      See Also:
        Constant Field Values

    - #### GL_COLOR_ATTACHMENT_EXT

          static final int GL_COLOR_ATTACHMENT_EXT

      Part of `GL_EXT_multiview_draw_buffers`
      See Also:
        Constant Field Values

    - #### GL_MULTIVIEW_EXT

          static final int GL_MULTIVIEW_EXT

      Part of `GL_EXT_multiview_draw_buffers`
      See Also:
        Constant Field Values

    - #### GL_DRAW_BUFFER_EXT

          static final int GL_DRAW_BUFFER_EXT

      Part of `GL_EXT_multiview_draw_buffers`
      See Also:
        Constant Field Values

    - #### GL_READ_BUFFER_EXT

          static final int GL_READ_BUFFER_EXT

      Part of `GL_EXT_multiview_draw_buffers`
      See Also:
        Constant Field Values

    - #### GL_MAX_MULTIVIEW_BUFFERS_EXT

          static final int GL_MAX_MULTIVIEW_BUFFERS_EXT

      Part of `GL_EXT_multiview_draw_buffers`
      See Also:
        Constant Field Values

    - #### GL_FRAGMENT_SHADER_DISCARDS_SAMPLES_EXT

          static final int GL_FRAGMENT_SHADER_DISCARDS_SAMPLES_EXT

      Part of `GL_EXT_shader_framebuffer_fetch`
      See Also:
        Constant Field Values

    - #### GL_LUMINANCE32F

          static final int GL_LUMINANCE32F

      Part of `GL_ARB_texture_float`; `GL_EXT_texture_storage`
      See Also:
        Constant Field Values

    - #### GL_LUMINANCE_ALPHA32F

          static final int GL_LUMINANCE_ALPHA32F

      Part of `GL_ARB_texture_float`; `GL_EXT_texture_storage`
      See Also:
        Constant Field Values

    - #### GL_LUMINANCE16F

          static final int GL_LUMINANCE16F

      Part of `GL_ARB_texture_float`; `GL_EXT_texture_storage`
      See Also:
        Constant Field Values

    - #### GL_LUMINANCE_ALPHA16F

          static final int GL_LUMINANCE_ALPHA16F

      Part of `GL_ARB_texture_float`; `GL_EXT_texture_storage`
      See Also:
        Constant Field Values

    - #### GL_GCCSO_SHADER_BINARY_FJ

          static final int GL_GCCSO_SHADER_BINARY_FJ

      Part of `GL_FJ_shader_binary_GCCSO`
      See Also:
        Constant Field Values

    - #### GL_SGX_PROGRAM_BINARY_IMG

          static final int GL_SGX_PROGRAM_BINARY_IMG

      Part of `GL_IMG_program_binary`
      See Also:
        Constant Field Values

    - #### GL_BGRA_IMG

          static final int GL_BGRA_IMG

      Part of `GL_IMG_read_format`
      See Also:
        Constant Field Values

    - #### GL_UNSIGNED_SHORT_4_4_4_4_REV_IMG

          static final int GL_UNSIGNED_SHORT_4_4_4_4_REV_IMG

      Part of `GL_IMG_read_format`
      See Also:
        Constant Field Values

    - #### GL_SGX_BINARY_IMG

          static final int GL_SGX_BINARY_IMG

      Part of `GL_IMG_shader_binary`
      See Also:
        Constant Field Values

    - #### GL_COMPRESSED_RGB_PVRTC_4BPPV1_IMG

          static final int GL_COMPRESSED_RGB_PVRTC_4BPPV1_IMG

      Part of `GL_IMG_texture_compression_pvrtc`
      See Also:
        Constant Field Values

    - #### GL_COMPRESSED_RGB_PVRTC_2BPPV1_IMG

          static final int GL_COMPRESSED_RGB_PVRTC_2BPPV1_IMG

      Part of `GL_IMG_texture_compression_pvrtc`
      See Also:
        Constant Field Values

    - #### GL_COMPRESSED_RGBA_PVRTC_4BPPV1_IMG

          static final int GL_COMPRESSED_RGBA_PVRTC_4BPPV1_IMG

      Part of `GL_IMG_texture_compression_pvrtc`
      See Also:
        Constant Field Values

    - #### GL_COMPRESSED_RGBA_PVRTC_2BPPV1_IMG

          static final int GL_COMPRESSED_RGBA_PVRTC_2BPPV1_IMG

      Part of `GL_IMG_texture_compression_pvrtc`
      See Also:
        Constant Field Values

    - #### GL_COMPRESSED_RGBA_PVRTC_2BPPV2_IMG

          static final int GL_COMPRESSED_RGBA_PVRTC_2BPPV2_IMG

      Part of `GL_IMG_texture_compression_pvrtc2`
      See Also:
        Constant Field Values

    - #### GL_COMPRESSED_RGBA_PVRTC_4BPPV2_IMG

          static final int GL_COMPRESSED_RGBA_PVRTC_4BPPV2_IMG

      Part of `GL_IMG_texture_compression_pvrtc2`
      See Also:
        Constant Field Values

    - #### GL_RENDERBUFFER_SAMPLES_IMG

          static final int GL_RENDERBUFFER_SAMPLES_IMG

      Part of `GL_IMG_multisampled_render_to_texture`
      See Also:
        Constant Field Values

    - #### GL_FRAMEBUFFER_INCOMPLETE_MULTISAMPLE_IMG

          static final int GL_FRAMEBUFFER_INCOMPLETE_MULTISAMPLE_IMG

      Part of `GL_IMG_multisampled_render_to_texture`
      See Also:
        Constant Field Values

    - #### GL_MAX_SAMPLES_IMG

          static final int GL_MAX_SAMPLES_IMG

      Part of `GL_IMG_multisampled_render_to_texture`
      See Also:
        Constant Field Values

    - #### GL_TEXTURE_SAMPLES_IMG

          static final int GL_TEXTURE_SAMPLES_IMG

      Part of `GL_IMG_multisampled_render_to_texture`
      See Also:
        Constant Field Values

    - #### GL_ALL_COMPLETED_NV

          static final int GL_ALL_COMPLETED_NV

      Part of `GL_NV_fence`
      See Also:
        Constant Field Values

    - #### GL_FENCE_STATUS_NV

          static final int GL_FENCE_STATUS_NV

      Part of `GL_NV_fence`
      See Also:
        Constant Field Values

    - #### GL_FENCE_CONDITION_NV

          static final int GL_FENCE_CONDITION_NV

      Part of `GL_NV_fence`
      See Also:
        Constant Field Values

    - #### GL_COVERAGE_COMPONENT_NV

          static final int GL_COVERAGE_COMPONENT_NV

      Part of `GL_NV_coverage_sample`
      See Also:
        Constant Field Values

    - #### GL_COVERAGE_COMPONENT4_NV

          static final int GL_COVERAGE_COMPONENT4_NV

      Part of `GL_NV_coverage_sample`
      See Also:
        Constant Field Values

    - #### GL_COVERAGE_ATTACHMENT_NV

          static final int GL_COVERAGE_ATTACHMENT_NV

      Part of `GL_NV_coverage_sample`
      See Also:
        Constant Field Values

    - #### GL_COVERAGE_BUFFERS_NV

          static final int GL_COVERAGE_BUFFERS_NV

      Part of `GL_NV_coverage_sample`
      See Also:
        Constant Field Values

    - #### GL_COVERAGE_SAMPLES_NV

          static final int GL_COVERAGE_SAMPLES_NV

      Part of `GL_NV_multisample_coverage`, `GL_NV_coverage_sample`
      See Also:
        Constant Field Values

    - #### GL_COVERAGE_ALL_FRAGMENTS_NV

          static final int GL_COVERAGE_ALL_FRAGMENTS_NV

      Part of `GL_NV_coverage_sample`
      See Also:
        Constant Field Values

    - #### GL_COVERAGE_EDGE_FRAGMENTS_NV

          static final int GL_COVERAGE_EDGE_FRAGMENTS_NV

      Part of `GL_NV_coverage_sample`
      See Also:
        Constant Field Values

    - #### GL_COVERAGE_AUTOMATIC_NV

          static final int GL_COVERAGE_AUTOMATIC_NV

      Part of `GL_NV_coverage_sample`
      See Also:
        Constant Field Values

    - #### GL_COVERAGE_BUFFER_BIT_NV

          static final int GL_COVERAGE_BUFFER_BIT_NV

      Part of `GL_NV_coverage_sample`
      See Also:
        Constant Field Values

    - #### GL_DEPTH_COMPONENT16_NONLINEAR_NV

          static final int GL_DEPTH_COMPONENT16_NONLINEAR_NV

      Part of `GL_NV_depth_nonlinear`
      See Also:
        Constant Field Values

    - #### GL_READ_FRAMEBUFFER_NV

          static final int GL_READ_FRAMEBUFFER_NV

      Part of `GL_NV_framebuffer_blit`
      See Also:
        Constant Field Values

    - #### GL_DRAW_FRAMEBUFFER_NV

          static final int GL_DRAW_FRAMEBUFFER_NV

      Part of `GL_NV_framebuffer_blit`
      See Also:
        Constant Field Values

    - #### GL_DRAW_FRAMEBUFFER_BINDING_NV

          static final int GL_DRAW_FRAMEBUFFER_BINDING_NV

      Part of `GL_NV_framebuffer_blit`
      See Also:
        Constant Field Values

    - #### GL_READ_FRAMEBUFFER_BINDING_NV

          static final int GL_READ_FRAMEBUFFER_BINDING_NV

      Part of `GL_NV_framebuffer_blit`
      See Also:
        Constant Field Values

    - #### GL_RENDERBUFFER_SAMPLES_NV

          static final int GL_RENDERBUFFER_SAMPLES_NV

      Part of `GL_NV_framebuffer_multisample`
      See Also:
        Constant Field Values

    - #### GL_FRAMEBUFFER_INCOMPLETE_MULTISAMPLE_NV

          static final int GL_FRAMEBUFFER_INCOMPLETE_MULTISAMPLE_NV

      Part of `GL_NV_framebuffer_multisample`
      See Also:
        Constant Field Values

    - #### GL_MAX_SAMPLES_NV

          static final int GL_MAX_SAMPLES_NV

      Part of `GL_NV_framebuffer_multisample`
      See Also:
        Constant Field Values

    - #### GL_VERTEX_ATTRIB_ARRAY_DIVISOR_NV

          static final int GL_VERTEX_ATTRIB_ARRAY_DIVISOR_NV

      Part of `GL_NV_instanced_arrays`
      See Also:
        Constant Field Values

    - #### GL_READ_BUFFER_NV

          static final int GL_READ_BUFFER_NV

      Part of `GL_NV_read_buffer`
      See Also:
        Constant Field Values

    - #### GL_SAMPLER_2D_ARRAY_SHADOW_NV

          static final int GL_SAMPLER_2D_ARRAY_SHADOW_NV

      Part of `GL_NV_shadow_samplers_array`
      See Also:
        Constant Field Values

    - #### GL_SAMPLER_CUBE_SHADOW_NV

          static final int GL_SAMPLER_CUBE_SHADOW_NV

      Part of `GL_NV_shadow_samplers_cube`
      See Also:
        Constant Field Values

    - #### GL_SLUMINANCE_NV

          static final int GL_SLUMINANCE_NV

      Part of `GL_NV_sRGB_formats`
      See Also:
        Constant Field Values

    - #### GL_SLUMINANCE_ALPHA_NV

          static final int GL_SLUMINANCE_ALPHA_NV

      Part of `GL_NV_sRGB_formats`
      See Also:
        Constant Field Values

    - #### GL_SRGB8_NV

          static final int GL_SRGB8_NV

      Part of `GL_NV_sRGB_formats`
      See Also:
        Constant Field Values

    - #### GL_SLUMINANCE8_NV

          static final int GL_SLUMINANCE8_NV

      Part of `GL_NV_sRGB_formats`
      See Also:
        Constant Field Values

    - #### GL_SLUMINANCE8_ALPHA8_NV

          static final int GL_SLUMINANCE8_ALPHA8_NV

      Part of `GL_NV_sRGB_formats`
      See Also:
        Constant Field Values

    - #### GL_COMPRESSED_SRGB_S3TC_DXT1_NV

          static final int GL_COMPRESSED_SRGB_S3TC_DXT1_NV

      Part of `GL_NV_sRGB_formats`
      See Also:
        Constant Field Values

    - #### GL_COMPRESSED_SRGB_ALPHA_S3TC_DXT1_NV

          static final int GL_COMPRESSED_SRGB_ALPHA_S3TC_DXT1_NV

      Part of `GL_NV_sRGB_formats`
      See Also:
        Constant Field Values

    - #### GL_COMPRESSED_SRGB_ALPHA_S3TC_DXT3_NV

          static final int GL_COMPRESSED_SRGB_ALPHA_S3TC_DXT3_NV

      Part of `GL_NV_sRGB_formats`
      See Also:
        Constant Field Values

    - #### GL_COMPRESSED_SRGB_ALPHA_S3TC_DXT5_NV

          static final int GL_COMPRESSED_SRGB_ALPHA_S3TC_DXT5_NV

      Part of `GL_NV_sRGB_formats`
      See Also:
        Constant Field Values

    - #### GL_ETC1_SRGB8_NV

          static final int GL_ETC1_SRGB8_NV

      Part of `GL_NV_sRGB_formats`
      See Also:
        Constant Field Values

    - #### GL_TEXTURE_BORDER_COLOR_NV

          static final int GL_TEXTURE_BORDER_COLOR_NV

      Part of `GL_NV_texture_border_clamp`
      See Also:
        Constant Field Values

    - #### GL_CLAMP_TO_BORDER_NV

          static final int GL_CLAMP_TO_BORDER_NV

      Part of `GL_NV_texture_border_clamp`
      See Also:
        Constant Field Values

    - #### GL_ALPHA_TEST_QCOM

          static final int GL_ALPHA_TEST_QCOM

      Part of `GL_QCOM_alpha_test`
      See Also:
        Constant Field Values

    - #### GL_ALPHA_TEST_FUNC_QCOM

          static final int GL_ALPHA_TEST_FUNC_QCOM

      Part of `GL_QCOM_alpha_test`
      See Also:
        Constant Field Values

    - #### GL_ALPHA_TEST_REF_QCOM

          static final int GL_ALPHA_TEST_REF_QCOM

      Part of `GL_QCOM_alpha_test`
      See Also:
        Constant Field Values

    - #### GL_BINNING_CONTROL_HINT_QCOM

          static final int GL_BINNING_CONTROL_HINT_QCOM

      Part of `GL_QCOM_binning_control`
      See Also:
        Constant Field Values

    - #### GL_CPU_OPTIMIZED_QCOM

          static final int GL_CPU_OPTIMIZED_QCOM

      Part of `GL_QCOM_binning_control`
      See Also:
        Constant Field Values

    - #### GL_GPU_OPTIMIZED_QCOM

          static final int GL_GPU_OPTIMIZED_QCOM

      Part of `GL_QCOM_binning_control`
      See Also:
        Constant Field Values

    - #### GL_RENDER_DIRECT_TO_FRAMEBUFFER_QCOM

          static final int GL_RENDER_DIRECT_TO_FRAMEBUFFER_QCOM

      Part of `GL_QCOM_binning_control`
      See Also:
        Constant Field Values

    - #### GL_TEXTURE_WIDTH_QCOM

          static final int GL_TEXTURE_WIDTH_QCOM

      Part of `GL_QCOM_extended_get`
      See Also:
        Constant Field Values

    - #### GL_TEXTURE_HEIGHT_QCOM

          static final int GL_TEXTURE_HEIGHT_QCOM

      Part of `GL_QCOM_extended_get`
      See Also:
        Constant Field Values

    - #### GL_TEXTURE_DEPTH_QCOM

          static final int GL_TEXTURE_DEPTH_QCOM

      Part of `GL_QCOM_extended_get`
      See Also:
        Constant Field Values

    - #### GL_TEXTURE_INTERNAL_FORMAT_QCOM

          static final int GL_TEXTURE_INTERNAL_FORMAT_QCOM

      Part of `GL_QCOM_extended_get`
      See Also:
        Constant Field Values

    - #### GL_TEXTURE_FORMAT_QCOM

          static final int GL_TEXTURE_FORMAT_QCOM

      Part of `GL_QCOM_extended_get`
      See Also:
        Constant Field Values

    - #### GL_TEXTURE_TYPE_QCOM

          static final int GL_TEXTURE_TYPE_QCOM

      Part of `GL_QCOM_extended_get`
      See Also:
        Constant Field Values

    - #### GL_TEXTURE_IMAGE_VALID_QCOM

          static final int GL_TEXTURE_IMAGE_VALID_QCOM

      Part of `GL_QCOM_extended_get`
      See Also:
        Constant Field Values

    - #### GL_TEXTURE_NUM_LEVELS_QCOM

          static final int GL_TEXTURE_NUM_LEVELS_QCOM

      Part of `GL_QCOM_extended_get`
      See Also:
        Constant Field Values

    - #### GL_TEXTURE_TARGET_QCOM

          static final int GL_TEXTURE_TARGET_QCOM

      Part of `GL_QCOM_extended_get`
      See Also:
        Constant Field Values

    - #### GL_TEXTURE_OBJECT_VALID_QCOM

          static final int GL_TEXTURE_OBJECT_VALID_QCOM

      Part of `GL_QCOM_extended_get`
      See Also:
        Constant Field Values

    - #### GL_STATE_RESTORE

          static final int GL_STATE_RESTORE

      Part of `GL_QCOM_extended_get`
      See Also:
        Constant Field Values

    - #### GL_PERFMON_GLOBAL_MODE_QCOM

          static final int GL_PERFMON_GLOBAL_MODE_QCOM

      Part of `GL_QCOM_perfmon_global_mode`
      See Also:
        Constant Field Values

    - #### GL_WRITEONLY_RENDERING_QCOM

          static final int GL_WRITEONLY_RENDERING_QCOM

      Part of `GL_QCOM_writeonly_rendering`
      See Also:
        Constant Field Values

    - #### GL_COLOR_BUFFER_BIT0_QCOM

          static final int GL_COLOR_BUFFER_BIT0_QCOM

      Part of `GL_QCOM_tiled_rendering`
      See Also:
        Constant Field Values

    - #### GL_COLOR_BUFFER_BIT1_QCOM

          static final int GL_COLOR_BUFFER_BIT1_QCOM

      Part of `GL_QCOM_tiled_rendering`
      See Also:
        Constant Field Values

    - #### GL_COLOR_BUFFER_BIT2_QCOM

          static final int GL_COLOR_BUFFER_BIT2_QCOM

      Part of `GL_QCOM_tiled_rendering`
      See Also:
        Constant Field Values

    - #### GL_COLOR_BUFFER_BIT3_QCOM

          static final int GL_COLOR_BUFFER_BIT3_QCOM

      Part of `GL_QCOM_tiled_rendering`
      See Also:
        Constant Field Values

    - #### GL_COLOR_BUFFER_BIT4_QCOM

          static final int GL_COLOR_BUFFER_BIT4_QCOM

      Part of `GL_QCOM_tiled_rendering`
      See Also:
        Constant Field Values

    - #### GL_COLOR_BUFFER_BIT5_QCOM

          static final int GL_COLOR_BUFFER_BIT5_QCOM

      Part of `GL_QCOM_tiled_rendering`
      See Also:
        Constant Field Values

    - #### GL_COLOR_BUFFER_BIT6_QCOM

          static final int GL_COLOR_BUFFER_BIT6_QCOM

      Part of `GL_QCOM_tiled_rendering`
      See Also:
        Constant Field Values

    - #### GL_COLOR_BUFFER_BIT7_QCOM

          static final int GL_COLOR_BUFFER_BIT7_QCOM

      Part of `GL_QCOM_tiled_rendering`
      See Also:
        Constant Field Values

    - #### GL_DEPTH_BUFFER_BIT0_QCOM

          static final int GL_DEPTH_BUFFER_BIT0_QCOM

      Part of `GL_QCOM_tiled_rendering`
      See Also:
        Constant Field Values

    - #### GL_DEPTH_BUFFER_BIT1_QCOM

          static final int GL_DEPTH_BUFFER_BIT1_QCOM

      Part of `GL_QCOM_tiled_rendering`
      See Also:
        Constant Field Values

    - #### GL_DEPTH_BUFFER_BIT2_QCOM

          static final int GL_DEPTH_BUFFER_BIT2_QCOM

      Part of `GL_QCOM_tiled_rendering`
      See Also:
        Constant Field Values

    - #### GL_DEPTH_BUFFER_BIT3_QCOM

          static final int GL_DEPTH_BUFFER_BIT3_QCOM

      Part of `GL_QCOM_tiled_rendering`
      See Also:
        Constant Field Values

    - #### GL_DEPTH_BUFFER_BIT4_QCOM

          static final int GL_DEPTH_BUFFER_BIT4_QCOM

      Part of `GL_QCOM_tiled_rendering`
      See Also:
        Constant Field Values

    - #### GL_DEPTH_BUFFER_BIT5_QCOM

          static final int GL_DEPTH_BUFFER_BIT5_QCOM

      Part of `GL_QCOM_tiled_rendering`
      See Also:
        Constant Field Values

    - #### GL_DEPTH_BUFFER_BIT6_QCOM

          static final int GL_DEPTH_BUFFER_BIT6_QCOM

      Part of `GL_QCOM_tiled_rendering`
      See Also:
        Constant Field Values

    - #### GL_DEPTH_BUFFER_BIT7_QCOM

          static final int GL_DEPTH_BUFFER_BIT7_QCOM

      Part of `GL_QCOM_tiled_rendering`
      See Also:
        Constant Field Values

    - #### GL_STENCIL_BUFFER_BIT0_QCOM

          static final int GL_STENCIL_BUFFER_BIT0_QCOM

      Part of `GL_QCOM_tiled_rendering`
      See Also:
        Constant Field Values

    - #### GL_STENCIL_BUFFER_BIT1_QCOM

          static final int GL_STENCIL_BUFFER_BIT1_QCOM

      Part of `GL_QCOM_tiled_rendering`
      See Also:
        Constant Field Values

    - #### GL_STENCIL_BUFFER_BIT2_QCOM

          static final int GL_STENCIL_BUFFER_BIT2_QCOM

      Part of `GL_QCOM_tiled_rendering`
      See Also:
        Constant Field Values

    - #### GL_STENCIL_BUFFER_BIT3_QCOM

          static final int GL_STENCIL_BUFFER_BIT3_QCOM

      Part of `GL_QCOM_tiled_rendering`
      See Also:
        Constant Field Values

    - #### GL_STENCIL_BUFFER_BIT4_QCOM

          static final int GL_STENCIL_BUFFER_BIT4_QCOM

      Part of `GL_QCOM_tiled_rendering`
      See Also:
        Constant Field Values

    - #### GL_STENCIL_BUFFER_BIT5_QCOM

          static final int GL_STENCIL_BUFFER_BIT5_QCOM

      Part of `GL_QCOM_tiled_rendering`
      See Also:
        Constant Field Values

    - #### GL_STENCIL_BUFFER_BIT6_QCOM

          static final int GL_STENCIL_BUFFER_BIT6_QCOM

      Part of `GL_QCOM_tiled_rendering`
      See Also:
        Constant Field Values

    - #### GL_STENCIL_BUFFER_BIT7_QCOM

          static final int GL_STENCIL_BUFFER_BIT7_QCOM

      Part of `GL_QCOM_tiled_rendering`
      See Also:
        Constant Field Values

    - #### GL_MULTISAMPLE_BUFFER_BIT0_QCOM

          static final int GL_MULTISAMPLE_BUFFER_BIT0_QCOM

      Part of `GL_QCOM_tiled_rendering`
      See Also:
        Constant Field Values

    - #### GL_MULTISAMPLE_BUFFER_BIT1_QCOM

          static final int GL_MULTISAMPLE_BUFFER_BIT1_QCOM

      Part of `GL_QCOM_tiled_rendering`
      See Also:
        Constant Field Values

    - #### GL_MULTISAMPLE_BUFFER_BIT2_QCOM

          static final int GL_MULTISAMPLE_BUFFER_BIT2_QCOM

      Part of `GL_QCOM_tiled_rendering`
      See Also:
        Constant Field Values

    - #### GL_MULTISAMPLE_BUFFER_BIT3_QCOM

          static final int GL_MULTISAMPLE_BUFFER_BIT3_QCOM

      Part of `GL_QCOM_tiled_rendering`
      See Also:
        Constant Field Values

    - #### GL_MULTISAMPLE_BUFFER_BIT4_QCOM

          static final int GL_MULTISAMPLE_BUFFER_BIT4_QCOM

      Part of `GL_QCOM_tiled_rendering`
      See Also:
        Constant Field Values

    - #### GL_MULTISAMPLE_BUFFER_BIT5_QCOM

          static final int GL_MULTISAMPLE_BUFFER_BIT5_QCOM

      Part of `GL_QCOM_tiled_rendering`
      See Also:
        Constant Field Values

    - #### GL_MULTISAMPLE_BUFFER_BIT6_QCOM

          static final int GL_MULTISAMPLE_BUFFER_BIT6_QCOM

      Part of `GL_QCOM_tiled_rendering`
      See Also:
        Constant Field Values

    - #### GL_MULTISAMPLE_BUFFER_BIT7_QCOM

          static final long GL_MULTISAMPLE_BUFFER_BIT7_QCOM

      Part of `GL_QCOM_tiled_rendering`
      See Also:
        Constant Field Values

    - #### GL_SHADER_BINARY_VIV

          static final int GL_SHADER_BINARY_VIV

      Part of `GL_VIV_shader_binary`
      See Also:
        Constant Field Values

    - #### GL_NVIDIA_PLATFORM_BINARY_NV

          static final int GL_NVIDIA_PLATFORM_BINARY_NV

      See Also:
        Constant Field Values

  - ### Method Detail

    - #### glAlphaFuncQCOM

          void glAlphaFuncQCOM(int func,
                             float ref)

      Entry point to C language function: `void glAlphaFuncQCOM(GLenum func, GLclampf ref)`
      Part of `GL_QCOM_alpha_test`

    - #### glBeginPerfMonitorAMD

          void glBeginPerfMonitorAMD(int monitor)

      Entry point to C language function: `void glBeginPerfMonitorAMD(GLuint monitor)`
      Part of `GL_AMD_performance_monitor`

    - #### glBindVertexArrayOES

          void glBindVertexArrayOES(int array)

      Entry point to C language function: `void glBindVertexArrayOES(GLuint array)`
      Part of `GL_OES_vertex_array_object`

    - #### glBlitFramebufferANGLE

          void glBlitFramebufferANGLE(int srcX0,
                                    int srcY0,
                                    int srcX1,
                                    int srcY1,
                                    int dstX0,
                                    int dstY0,
                                    int dstX1,
                                    int dstY1,
                                    int mask,
                                    int filter)

      Entry point to C language function: `void glBlitFramebufferANGLE(GLint srcX0, GLint srcY0, GLint srcX1, GLint srcY1, GLint dstX0, GLint dstY0, GLint dstX1, GLint dstY1, GLbitfield mask, GLenum filter)`
      Part of `GL_ANGLE_framebuffer_blit`

    - #### glBlitFramebufferNV

          void glBlitFramebufferNV(int srcX0,
                                 int srcY0,
                                 int srcX1,
                                 int srcY1,
                                 int dstX0,
                                 int dstY0,
                                 int dstX1,
                                 int dstY1,
                                 int mask,
                                 int filter)

      Entry point to C language function: `void glBlitFramebufferNV(int srcX0, GLint srcY0, GLint srcX1, GLint srcY1, GLint dstX0, GLint dstY0, GLint dstX1, GLint dstY1, GLbitfield mask, GLenum filter)`
      Part of `GL_NV_framebuffer_blit`

    - #### glCopyTextureLevelsAPPLE

          void glCopyTextureLevelsAPPLE(int destinationTexture,
                                      int sourceTexture,
                                      int sourceBaseLevel,
                                      int sourceLevelCount)

      Entry point to C language function: `void glCopyTextureLevelsAPPLE(GLuint destinationTexture, GLuint sourceTexture, GLint sourceBaseLevel, GLsizei sourceLevelCount)`
      Part of `GL_APPLE_copy_texture_levels`

    - #### glCoverageMaskNV

          void glCoverageMaskNV(boolean mask)

      Entry point to C language function: `void glCoverageMaskNV(GLboolean mask)`
      Part of `GL_NV_coverage_sample`

    - #### glCoverageOperationNV

          void glCoverageOperationNV(int operation)

      Entry point to C language function: `void glCoverageOperationNV(GLenum operation)`
      Part of `GL_NV_coverage_sample`

    - #### glDeleteFencesNV

          void glDeleteFencesNV(int arg0,
                              IntBuffer arg1)

      Entry point to C language function: `void glDeleteFencesNV(GLsizei, const GLuint * )`
      Part of `GL_NV_fence`
      Parameters:
        `arg1` - a direct or array-backed `IntBuffer`

    - #### glDeleteFencesNV

          void glDeleteFencesNV(int arg0,
                              int[] arg1,
                              int arg1_offset)

      Entry point to C language function: `void glDeleteFencesNV(GLsizei, const GLuint * )`
      Part of `GL_NV_fence`

    - #### glDeletePerfMonitorsAMD

          void glDeletePerfMonitorsAMD(int n,
                                     IntBuffer monitors)

      Entry point to C language function: `void glDeletePerfMonitorsAMD(GLsizei n, GLuint * monitors)`
      Part of `GL_AMD_performance_monitor`
      Parameters:
        `monitors` - a direct or array-backed `IntBuffer`

    - #### glDeletePerfMonitorsAMD

          void glDeletePerfMonitorsAMD(int n,
                                     int[] monitors,
                                     int monitors_offset)

      Entry point to C language function: `void glDeletePerfMonitorsAMD(GLsizei n, GLuint * monitors)`
      Part of `GL_AMD_performance_monitor`

    - #### glDeleteVertexArraysOES

          void glDeleteVertexArraysOES(int n,
                                     IntBuffer arrays)

      Entry point to C language function: `void glDeleteVertexArraysOES(GLsizei n, const GLuint * arrays)`
      Part of `GL_OES_vertex_array_object`
      Parameters:
        `arrays` - a direct or array-backed `IntBuffer`

    - #### glDeleteVertexArraysOES

          void glDeleteVertexArraysOES(int n,
                                     int[] arrays,
                                     int arrays_offset)

      Entry point to C language function: `void glDeleteVertexArraysOES(GLsizei n, const GLuint * arrays)`
      Part of `GL_OES_vertex_array_object`

    - #### glDisableDriverControlQCOM

          void glDisableDriverControlQCOM(int driverControl)

      Entry point to C language function: `void glDisableDriverControlQCOM(GLuint driverControl)`
      Part of `GL_QCOM_driver_control`

    - #### glDiscardFramebufferEXT

          void glDiscardFramebufferEXT(int target,
                                     int numAttachments,
                                     IntBuffer attachments)

      Entry point to C language function: `void glDiscardFramebufferEXT(GLenum target, GLsizei numAttachments, const GLenum * attachments)`
      Part of `GL_EXT_discard_framebuffer`
      Parameters:
        `attachments` - a direct or array-backed `IntBuffer`

    - #### glDiscardFramebufferEXT

          void glDiscardFramebufferEXT(int target,
                                     int numAttachments,
                                     int[] attachments,
                                     int attachments_offset)

      Entry point to C language function: `void glDiscardFramebufferEXT(GLenum target, GLsizei numAttachments, const GLenum * attachments)`
      Part of `GL_EXT_discard_framebuffer`

    - #### glDrawArraysInstancedANGLE

          void glDrawArraysInstancedANGLE(int mode,
                                        int first,
                                        int count,
                                        int primcount)

      Entry point to C language function: `void glDrawArraysInstancedANGLE(GLenum mode, GLint first, GLsizei count, GLsizei primcount)`
      Part of `GL_ANGLE_instanced_arrays`

    - #### glDrawArraysInstancedNV

          void glDrawArraysInstancedNV(int mode,
                                     int first,
                                     int count,
                                     int primcount)

      Entry point to C language function: `void glDrawArraysInstancedNV(GLenum mode, GLint first, GLsizei count, GLsizei primcount)`
      Part of `GL_NV_draw_instanced`

    - #### glDrawBuffersIndexedEXT

          void glDrawBuffersIndexedEXT(int n,
                                     IntBuffer location,
                                     IntBuffer indices)

      Entry point to C language function: `void glDrawBuffersIndexedEXT(GLint n, const GLenum * location, const GLint * indices)`
      Part of `GL_EXT_multiview_draw_buffers`
      Parameters:
        `location` - a direct or array-backed `IntBuffer`
        `indices` - a direct or array-backed `IntBuffer`

    - #### glDrawBuffersIndexedEXT

          void glDrawBuffersIndexedEXT(int n,
                                     int[] location,
                                     int location_offset,
                                     int[] indices,
                                     int indices_offset)

      Entry point to C language function: `void glDrawBuffersIndexedEXT(GLint n, const GLenum * location, const GLint * indices)`
      Part of `GL_EXT_multiview_draw_buffers`

    - #### glDrawBuffers

          void glDrawBuffers(int n,
                           IntBuffer bufs)

      Entry point to C language function: `void glDrawBuffers(GLsizei n, const GLenum * bufs)`
      Part of `GL_ES_VERSION_3_0`, `GL_VERSION_2_0`; `GL_EXT_draw_buffers`; `GL_NV_draw_buffers`
      Parameters:
        `bufs` - a direct or array-backed `IntBuffer`

    - #### glDrawBuffers

          void glDrawBuffers(int n,
                           int[] bufs,
                           int bufs_offset)

      Entry point to C language function: `void glDrawBuffers(GLsizei n, const GLenum * bufs)`
      Part of `GL_ES_VERSION_3_0`, `GL_VERSION_2_0`; `GL_EXT_draw_buffers`; `GL_NV_draw_buffers`

    - #### glDrawElementsInstancedANGLE

          void glDrawElementsInstancedANGLE(int mode,
                                          int count,
                                          int type,
                                          Buffer indices,
                                          int primcount)

      Entry point to C language function: `void glDrawElementsInstancedANGLE(GLenum mode, GLsizei count, GLenum type, const void * indices, GLsizei primcount)`
      Part of `GL_ANGLE_instanced_arrays`
      Parameters:
        `indices` - a direct or array-backed `Buffer`

    - #### glDrawElementsInstancedNV

          void glDrawElementsInstancedNV(int mode,
                                       int count,
                                       int type,
                                       Buffer indices,
                                       int primcount)

      Entry point to C language function: `void glDrawElementsInstancedNV(GLenum mode, GLsizei count, GLenum type, const GLvoid * indices, GLsizei primcount)`
      Part of `GL_NV_draw_instanced`
      Parameters:
        `indices` - a direct or array-backed `Buffer`

    - #### glEGLImageTargetRenderbufferStorageOES

          void glEGLImageTargetRenderbufferStorageOES(int target,
                                                    long image)

      Entry point to C language function: `void glEGLImageTargetRenderbufferStorageOES(GLenum target, GLeglImageOES image)`
      Part of `GL_OES_EGL_image`

    - #### glEGLImageTargetTexture2DOES

          void glEGLImageTargetTexture2DOES(int target,
                                          long image)

      Entry point to C language function: `void glEGLImageTargetTexture2DOES(GLenum target, GLeglImageOES image)`
      Part of `GL_OES_EGL_image`

    - #### glEnableDriverControlQCOM

          void glEnableDriverControlQCOM(int driverControl)

      Entry point to C language function: `void glEnableDriverControlQCOM(GLuint driverControl)`
      Part of `GL_QCOM_driver_control`

    - #### glEndPerfMonitorAMD

          void glEndPerfMonitorAMD(int monitor)

      Entry point to C language function: `void glEndPerfMonitorAMD(GLuint monitor)`
      Part of `GL_AMD_performance_monitor`

    - #### glEndTilingQCOM

          void glEndTilingQCOM(int preserveMask)

      Entry point to C language function: `void glEndTilingQCOM(GLbitfield preserveMask)`
      Part of `GL_QCOM_tiled_rendering`

    - #### glExtGetBufferPointervQCOM

          void glExtGetBufferPointervQCOM(int target,
                                        PointerBuffer params)

      Entry point to C language function: `void glExtGetBufferPointervQCOM(GLenum target, GLvoid * * params)`
      Part of `GL_QCOM_extended_get`
      Parameters:
        `params` - a direct only `PointerBuffer`

    - #### glExtGetBuffersQCOM

          void glExtGetBuffersQCOM(IntBuffer buffers,
                                 int maxBuffers,
                                 IntBuffer numBuffers)

      Entry point to C language function: `void glExtGetBuffersQCOM(GLuint * buffers, GLint maxBuffers, GLint * numBuffers)`
      Part of `GL_QCOM_extended_get`
      Parameters:
        `buffers` - a direct or array-backed `IntBuffer`
        `numBuffers` - a direct or array-backed `IntBuffer`

    - #### glExtGetBuffersQCOM

          void glExtGetBuffersQCOM(int[] buffers,
                                 int buffers_offset,
                                 int maxBuffers,
                                 int[] numBuffers,
                                 int numBuffers_offset)

      Entry point to C language function: `void glExtGetBuffersQCOM(GLuint * buffers, GLint maxBuffers, GLint * numBuffers)`
      Part of `GL_QCOM_extended_get`

    - #### glExtGetFramebuffersQCOM

          void glExtGetFramebuffersQCOM(IntBuffer framebuffers,
                                      int maxFramebuffers,
                                      IntBuffer numFramebuffers)

      Entry point to C language function: `void glExtGetFramebuffersQCOM(GLuint * framebuffers, GLint maxFramebuffers, GLint * numFramebuffers)`
      Part of `GL_QCOM_extended_get`
      Parameters:
        `framebuffers` - a direct or array-backed `IntBuffer`
        `numFramebuffers` - a direct or array-backed `IntBuffer`

    - #### glExtGetFramebuffersQCOM

          void glExtGetFramebuffersQCOM(int[] framebuffers,
                                      int framebuffers_offset,
                                      int maxFramebuffers,
                                      int[] numFramebuffers,
                                      int numFramebuffers_offset)

      Entry point to C language function: `void glExtGetFramebuffersQCOM(GLuint * framebuffers, GLint maxFramebuffers, GLint * numFramebuffers)`
      Part of `GL_QCOM_extended_get`

    - #### glExtGetProgramBinarySourceQCOM

          void glExtGetProgramBinarySourceQCOM(int program,
                                             int shadertype,
                                             ByteBuffer source,
                                             IntBuffer length)

      Entry point to C language function: `void glExtGetProgramBinarySourceQCOM(GLuint program, GLenum shadertype, GLchar * source, GLint * length)`
      Part of `GL_QCOM_extended_get2`
      Parameters:
        `source` - a direct or array-backed `ByteBuffer`
        `length` - a direct or array-backed `IntBuffer`

    - #### glExtGetProgramBinarySourceQCOM

          void glExtGetProgramBinarySourceQCOM(int program,
                                             int shadertype,
                                             byte[] source,
                                             int source_offset,
                                             int[] length,
                                             int length_offset)

      Entry point to C language function: `void glExtGetProgramBinarySourceQCOM(GLuint program, GLenum shadertype, GLchar * source, GLint * length)`
      Part of `GL_QCOM_extended_get2`

    - #### glExtGetProgramsQCOM

          void glExtGetProgramsQCOM(IntBuffer programs,
                                  int maxPrograms,
                                  IntBuffer numPrograms)

      Entry point to C language function: `void glExtGetProgramsQCOM(GLuint * programs, GLint maxPrograms, GLint * numPrograms)`
      Part of `GL_QCOM_extended_get2`
      Parameters:
        `programs` - a direct or array-backed `IntBuffer`
        `numPrograms` - a direct or array-backed `IntBuffer`

    - #### glExtGetProgramsQCOM

          void glExtGetProgramsQCOM(int[] programs,
                                  int programs_offset,
                                  int maxPrograms,
                                  int[] numPrograms,
                                  int numPrograms_offset)

      Entry point to C language function: `void glExtGetProgramsQCOM(GLuint * programs, GLint maxPrograms, GLint * numPrograms)`
      Part of `GL_QCOM_extended_get2`

    - #### glExtGetRenderbuffersQCOM

          void glExtGetRenderbuffersQCOM(IntBuffer renderbuffers,
                                       int maxRenderbuffers,
                                       IntBuffer numRenderbuffers)

      Entry point to C language function: `void glExtGetRenderbuffersQCOM(GLuint * renderbuffers, GLint maxRenderbuffers, GLint * numRenderbuffers)`
      Part of `GL_QCOM_extended_get`
      Parameters:
        `renderbuffers` - a direct or array-backed `IntBuffer`
        `numRenderbuffers` - a direct or array-backed `IntBuffer`

    - #### glExtGetRenderbuffersQCOM

          void glExtGetRenderbuffersQCOM(int[] renderbuffers,
                                       int renderbuffers_offset,
                                       int maxRenderbuffers,
                                       int[] numRenderbuffers,
                                       int numRenderbuffers_offset)

      Entry point to C language function: `void glExtGetRenderbuffersQCOM(GLuint * renderbuffers, GLint maxRenderbuffers, GLint * numRenderbuffers)`
      Part of `GL_QCOM_extended_get`

    - #### glExtGetShadersQCOM

          void glExtGetShadersQCOM(IntBuffer shaders,
                                 int maxShaders,
                                 IntBuffer numShaders)

      Entry point to C language function: `void glExtGetShadersQCOM(GLuint * shaders, GLint maxShaders, GLint * numShaders)`
      Part of `GL_QCOM_extended_get2`
      Parameters:
        `shaders` - a direct or array-backed `IntBuffer`
        `numShaders` - a direct or array-backed `IntBuffer`

    - #### glExtGetShadersQCOM

          void glExtGetShadersQCOM(int[] shaders,
                                 int shaders_offset,
                                 int maxShaders,
                                 int[] numShaders,
                                 int numShaders_offset)

      Entry point to C language function: `void glExtGetShadersQCOM(GLuint * shaders, GLint maxShaders, GLint * numShaders)`
      Part of `GL_QCOM_extended_get2`

    - #### glExtGetTexLevelParameterivQCOM

          void glExtGetTexLevelParameterivQCOM(int texture,
                                             int face,
                                             int level,
                                             int pname,
                                             IntBuffer params)

      Entry point to C language function: `void glExtGetTexLevelParameterivQCOM(GLuint texture, GLenum face, GLint level, GLenum pname, GLint * params)`
      Part of `GL_QCOM_extended_get`
      Parameters:
        `params` - a direct or array-backed `IntBuffer`

    - #### glExtGetTexLevelParameterivQCOM

          void glExtGetTexLevelParameterivQCOM(int texture,
                                             int face,
                                             int level,
                                             int pname,
                                             int[] params,
                                             int params_offset)

      Entry point to C language function: `void glExtGetTexLevelParameterivQCOM(GLuint texture, GLenum face, GLint level, GLenum pname, GLint * params)`
      Part of `GL_QCOM_extended_get`

    - #### glExtGetTexSubImageQCOM

          void glExtGetTexSubImageQCOM(int target,
                                     int level,
                                     int xoffset,
                                     int yoffset,
                                     int zoffset,
                                     int width,
                                     int height,
                                     int depth,
                                     int format,
                                     int type,
                                     Buffer texels)

      Entry point to C language function: `void glExtGetTexSubImageQCOM(GLenum target, GLint level, GLint xoffset, GLint yoffset, GLint zoffset, GLsizei width, GLsizei height, GLsizei depth, GLenum format, GLenum type, GLvoid * texels)`
      Part of `GL_QCOM_extended_get`
      Parameters:
        `texels` - a direct or array-backed `Buffer`

    - #### glExtGetTexturesQCOM

          void glExtGetTexturesQCOM(IntBuffer textures,
                                  int maxTextures,
                                  IntBuffer numTextures)

      Entry point to C language function: `void glExtGetTexturesQCOM(GLuint * textures, GLint maxTextures, GLint * numTextures)`
      Part of `GL_QCOM_extended_get`
      Parameters:
        `textures` - a direct or array-backed `IntBuffer`
        `numTextures` - a direct or array-backed `IntBuffer`

    - #### glExtGetTexturesQCOM

          void glExtGetTexturesQCOM(int[] textures,
                                  int textures_offset,
                                  int maxTextures,
                                  int[] numTextures,
                                  int numTextures_offset)

      Entry point to C language function: `void glExtGetTexturesQCOM(GLuint * textures, GLint maxTextures, GLint * numTextures)`
      Part of `GL_QCOM_extended_get`

    - #### glExtIsProgramBinaryQCOM

          boolean glExtIsProgramBinaryQCOM(int program)

      Entry point to C language function: `GLboolean glExtIsProgramBinaryQCOM(GLuint program)`
      Part of `GL_QCOM_extended_get2`

    - #### glExtTexObjectStateOverrideiQCOM

          void glExtTexObjectStateOverrideiQCOM(int target,
                                              int pname,
                                              int param)

      Entry point to C language function: `void glExtTexObjectStateOverrideiQCOM(GLenum target, GLenum pname, GLint param)`
      Part of `GL_QCOM_extended_get`

    - #### glFinishFenceNV

          void glFinishFenceNV(int arg0)

      Entry point to C language function: `void glFinishFenceNV(GLuint)`
      Part of `GL_NV_fence`

    - #### glFramebufferTexture2DMultisampleEXT

          void glFramebufferTexture2DMultisampleEXT(int arg0,
                                                  int arg1,
                                                  int arg2,
                                                  int arg3,
                                                  int arg4,
                                                  int arg5)

      Entry point to C language function: `void glFramebufferTexture2DMultisampleEXT(GLenum, GLenum, GLenum, GLuint, GLint, GLsizei)`
      Part of `GL_EXT_multisampled_render_to_texture`

    - #### glFramebufferTexture2DMultisampleIMG

          void glFramebufferTexture2DMultisampleIMG(int arg0,
                                                  int arg1,
                                                  int arg2,
                                                  int arg3,
                                                  int arg4,
                                                  int arg5)

      Entry point to C language function: `void glFramebufferTexture2DMultisampleIMG(GLenum, GLenum, GLenum, GLuint, GLint, GLsizei)`
      Part of `GL_IMG_multisampled_render_to_texture`

    - #### glGenFencesNV

          void glGenFencesNV(int arg0,
                           IntBuffer arg1)

      Entry point to C language function: `void glGenFencesNV(GLsizei, GLuint * )`
      Part of `GL_NV_fence`
      Parameters:
        `arg1` - a direct or array-backed `IntBuffer`

    - #### glGenFencesNV

          void glGenFencesNV(int arg0,
                           int[] arg1,
                           int arg1_offset)

      Entry point to C language function: `void glGenFencesNV(GLsizei, GLuint * )`
      Part of `GL_NV_fence`

    - #### glGenPerfMonitorsAMD

          void glGenPerfMonitorsAMD(int n,
                                  IntBuffer monitors)

      Entry point to C language function: `void glGenPerfMonitorsAMD(GLsizei n, GLuint * monitors)`
      Part of `GL_AMD_performance_monitor`
      Parameters:
        `monitors` - a direct or array-backed `IntBuffer`

    - #### glGenPerfMonitorsAMD

          void glGenPerfMonitorsAMD(int n,
                                  int[] monitors,
                                  int monitors_offset)

      Entry point to C language function: `void glGenPerfMonitorsAMD(GLsizei n, GLuint * monitors)`
      Part of `GL_AMD_performance_monitor`

    - #### glGenVertexArraysOES

          void glGenVertexArraysOES(int n,
                                  IntBuffer arrays)

      Entry point to C language function: `void glGenVertexArraysOES(GLsizei n, GLuint * arrays)`
      Part of `GL_OES_vertex_array_object`
      Parameters:
        `arrays` - a direct or array-backed `IntBuffer`

    - #### glGenVertexArraysOES

          void glGenVertexArraysOES(int n,
                                  int[] arrays,
                                  int arrays_offset)

      Entry point to C language function: `void glGenVertexArraysOES(GLsizei n, GLuint * arrays)`
      Part of `GL_OES_vertex_array_object`

    - #### glGetDriverControlStringQCOM

          void glGetDriverControlStringQCOM(int driverControl,
                                          int bufSize,
                                          IntBuffer length,
                                          ByteBuffer driverControlString)

      Entry point to C language function: `void glGetDriverControlStringQCOM(GLuint driverControl, GLsizei bufSize, GLsizei * length, GLchar * driverControlString)`
      Part of `GL_QCOM_driver_control`
      Parameters:
        `length` - a direct or array-backed `IntBuffer`
        `driverControlString` - a direct or array-backed `ByteBuffer`

    - #### glGetDriverControlStringQCOM

          void glGetDriverControlStringQCOM(int driverControl,
                                          int bufSize,
                                          int[] length,
                                          int length_offset,
                                          byte[] driverControlString,
                                          int driverControlString_offset)

      Entry point to C language function: `void glGetDriverControlStringQCOM(GLuint driverControl, GLsizei bufSize, GLsizei * length, GLchar * driverControlString)`
      Part of `GL_QCOM_driver_control`

    - #### glGetDriverControlsQCOM

          void glGetDriverControlsQCOM(IntBuffer num,
                                     int size,
                                     IntBuffer driverControls)

      Entry point to C language function: `void glGetDriverControlsQCOM(GLint * num, GLsizei size, GLuint * driverControls)`
      Part of `GL_QCOM_driver_control`
      Parameters:
        `num` - a direct or array-backed `IntBuffer`
        `driverControls` - a direct or array-backed `IntBuffer`

    - #### glGetDriverControlsQCOM

          void glGetDriverControlsQCOM(int[] num,
                                     int num_offset,
                                     int size,
                                     int[] driverControls,
                                     int driverControls_offset)

      Entry point to C language function: `void glGetDriverControlsQCOM(GLint * num, GLsizei size, GLuint * driverControls)`
      Part of `GL_QCOM_driver_control`

    - #### glGetFenceivNV

          void glGetFenceivNV(int arg0,
                            int arg1,
                            IntBuffer arg2)

      Entry point to C language function: `void glGetFenceivNV(GLuint, GLenum, GLint * )`
      Part of `GL_NV_fence`
      Parameters:
        `arg2` - a direct or array-backed `IntBuffer`

    - #### glGetFenceivNV

          void glGetFenceivNV(int arg0,
                            int arg1,
                            int[] arg2,
                            int arg2_offset)

      Entry point to C language function: `void glGetFenceivNV(GLuint, GLenum, GLint * )`
      Part of `GL_NV_fence`

    - #### glGetIntegeri_vEXT

          void glGetIntegeri_vEXT(int target,
                                int index,
                                IntBuffer data)

      Entry point to C language function: `void glGetIntegeri_vEXT(GLenum target, GLuint index, GLint * data)`
      Part of `GL_EXT_multiview_draw_buffers`
      Parameters:
        `data` - a direct or array-backed `IntBuffer`

    - #### glGetIntegeri_vEXT

          void glGetIntegeri_vEXT(int target,
                                int index,
                                int[] data,
                                int data_offset)

      Entry point to C language function: `void glGetIntegeri_vEXT(GLenum target, GLuint index, GLint * data)`
      Part of `GL_EXT_multiview_draw_buffers`

    - #### glGetObjectLabelEXT

          void glGetObjectLabelEXT(int type,
                                 int object,
                                 int bufSize,
                                 IntBuffer length,
                                 ByteBuffer label)

      Entry point to C language function: `void glGetObjectLabelEXT(GLenum type, GLuint object, GLsizei bufSize, GLsizei * length, GLchar * label)`
      Part of `GL_EXT_debug_label`
      Parameters:
        `length` - a direct or array-backed `IntBuffer`
        `label` - a direct or array-backed `ByteBuffer`

    - #### glGetObjectLabelEXT

          void glGetObjectLabelEXT(int type,
                                 int object,
                                 int bufSize,
                                 int[] length,
                                 int length_offset,
                                 byte[] label,
                                 int label_offset)

      Entry point to C language function: `void glGetObjectLabelEXT(GLenum type, GLuint object, GLsizei bufSize, GLsizei * length, GLchar * label)`
      Part of `GL_EXT_debug_label`

    - #### glGetPerfMonitorCounterDataAMD

          void glGetPerfMonitorCounterDataAMD(int monitor,
                                            int pname,
                                            int dataSize,
                                            IntBuffer data,
                                            IntBuffer bytesWritten)

      Entry point to C language function: `void glGetPerfMonitorCounterDataAMD(GLuint monitor, GLenum pname, GLsizei dataSize, GLuint * data, GLint * bytesWritten)`
      Part of `GL_AMD_performance_monitor`
      Parameters:
        `data` - a direct or array-backed `IntBuffer`
        `bytesWritten` - a direct or array-backed `IntBuffer`

    - #### glGetPerfMonitorCounterDataAMD

          void glGetPerfMonitorCounterDataAMD(int monitor,
                                            int pname,
                                            int dataSize,
                                            int[] data,
                                            int data_offset,
                                            int[] bytesWritten,
                                            int bytesWritten_offset)

      Entry point to C language function: `void glGetPerfMonitorCounterDataAMD(GLuint monitor, GLenum pname, GLsizei dataSize, GLuint * data, GLint * bytesWritten)`
      Part of `GL_AMD_performance_monitor`

    - #### glGetPerfMonitorCounterInfoAMD

          void glGetPerfMonitorCounterInfoAMD(int group,
                                            int counter,
                                            int pname,
                                            Buffer data)

      Entry point to C language function: `void glGetPerfMonitorCounterInfoAMD(GLuint group, GLuint counter, GLenum pname, GLvoid * data)`
      Part of `GL_AMD_performance_monitor`
      Parameters:
        `data` - a direct or array-backed `Buffer`

    - #### glGetPerfMonitorCounterStringAMD

          void glGetPerfMonitorCounterStringAMD(int group,
                                              int counter,
                                              int bufSize,
                                              IntBuffer length,
                                              ByteBuffer counterString)

      Entry point to C language function: `void glGetPerfMonitorCounterStringAMD(GLuint group, GLuint counter, GLsizei bufSize, GLsizei * length, GLchar * counterString)`
      Part of `GL_AMD_performance_monitor`
      Parameters:
        `length` - a direct or array-backed `IntBuffer`
        `counterString` - a direct or array-backed `ByteBuffer`

    - #### glGetPerfMonitorCounterStringAMD

          void glGetPerfMonitorCounterStringAMD(int group,
                                              int counter,
                                              int bufSize,
                                              int[] length,
                                              int length_offset,
                                              byte[] counterString,
                                              int counterString_offset)

      Entry point to C language function: `void glGetPerfMonitorCounterStringAMD(GLuint group, GLuint counter, GLsizei bufSize, GLsizei * length, GLchar * counterString)`
      Part of `GL_AMD_performance_monitor`

    - #### glGetPerfMonitorCountersAMD

          void glGetPerfMonitorCountersAMD(int group,
                                         IntBuffer numCounters,
                                         IntBuffer maxActiveCounters,
                                         int counterSize,
                                         IntBuffer counters)

      Entry point to C language function: `void glGetPerfMonitorCountersAMD(GLuint group, GLint * numCounters, GLint * maxActiveCounters, GLsizei counterSize, GLuint * counters)`
      Part of `GL_AMD_performance_monitor`
      Parameters:
        `numCounters` - a direct or array-backed `IntBuffer`
        `maxActiveCounters` - a direct or array-backed `IntBuffer`
        `counters` - a direct or array-backed `IntBuffer`

    - #### glGetPerfMonitorCountersAMD

          void glGetPerfMonitorCountersAMD(int group,
                                         int[] numCounters,
                                         int numCounters_offset,
                                         int[] maxActiveCounters,
                                         int maxActiveCounters_offset,
                                         int counterSize,
                                         int[] counters,
                                         int counters_offset)

      Entry point to C language function: `void glGetPerfMonitorCountersAMD(GLuint group, GLint * numCounters, GLint * maxActiveCounters, GLsizei counterSize, GLuint * counters)`
      Part of `GL_AMD_performance_monitor`

    - #### glGetPerfMonitorGroupStringAMD

          void glGetPerfMonitorGroupStringAMD(int group,
                                            int bufSize,
                                            IntBuffer length,
                                            ByteBuffer groupString)

      Entry point to C language function: `void glGetPerfMonitorGroupStringAMD(GLuint group, GLsizei bufSize, GLsizei * length, GLchar * groupString)`
      Part of `GL_AMD_performance_monitor`
      Parameters:
        `length` - a direct or array-backed `IntBuffer`
        `groupString` - a direct or array-backed `ByteBuffer`

    - #### glGetPerfMonitorGroupStringAMD

          void glGetPerfMonitorGroupStringAMD(int group,
                                            int bufSize,
                                            int[] length,
                                            int length_offset,
                                            byte[] groupString,
                                            int groupString_offset)

      Entry point to C language function: `void glGetPerfMonitorGroupStringAMD(GLuint group, GLsizei bufSize, GLsizei * length, GLchar * groupString)`
      Part of `GL_AMD_performance_monitor`

    - #### glGetPerfMonitorGroupsAMD

          void glGetPerfMonitorGroupsAMD(IntBuffer numGroups,
                                       int groupsSize,
                                       IntBuffer groups)

      Entry point to C language function: `void glGetPerfMonitorGroupsAMD(GLint * numGroups, GLsizei groupsSize, GLuint * groups)`
      Part of `GL_AMD_performance_monitor`
      Parameters:
        `numGroups` - a direct or array-backed `IntBuffer`
        `groups` - a direct or array-backed `IntBuffer`

    - #### glGetPerfMonitorGroupsAMD

          void glGetPerfMonitorGroupsAMD(int[] numGroups,
                                       int numGroups_offset,
                                       int groupsSize,
                                       int[] groups,
                                       int groups_offset)

      Entry point to C language function: `void glGetPerfMonitorGroupsAMD(GLint * numGroups, GLsizei groupsSize, GLuint * groups)`
      Part of `GL_AMD_performance_monitor`

    - #### glGetQueryObjecti64vEXT

          void glGetQueryObjecti64vEXT(int id,
                                     int pname,
                                     LongBuffer params)

      Entry point to C language function: `void glGetQueryObjecti64vEXT(GLuint id, GLenum pname, GLint64 * params)`
      Part of `GL_EXT_timer_query`, `GL_EXT_disjoint_timer_query`
      Parameters:
        `params` - a direct or array-backed `LongBuffer`

    - #### glGetQueryObjecti64vEXT

          void glGetQueryObjecti64vEXT(int id,
                                     int pname,
                                     long[] params,
                                     int params_offset)

      Entry point to C language function: `void glGetQueryObjecti64vEXT(GLuint id, GLenum pname, GLint64 * params)`
      Part of `GL_EXT_timer_query`, `GL_EXT_disjoint_timer_query`

    - #### glGetQueryObjectivEXT

          void glGetQueryObjectivEXT(int id,
                                   int pname,
                                   IntBuffer params)

      Entry point to C language function: `void glGetQueryObjectivEXT(GLuint id, GLenum pname, GLint * params)`
      Part of `GL_EXT_disjoint_timer_query`
      Parameters:
        `params` - a direct or array-backed `IntBuffer`

    - #### glGetQueryObjectivEXT

          void glGetQueryObjectivEXT(int id,
                                   int pname,
                                   int[] params,
                                   int params_offset)

      Entry point to C language function: `void glGetQueryObjectivEXT(GLuint id, GLenum pname, GLint * params)`
      Part of `GL_EXT_disjoint_timer_query`

    - #### glGetQueryObjectui64vEXT

          void glGetQueryObjectui64vEXT(int id,
                                      int pname,
                                      LongBuffer params)

      Entry point to C language function: `void glGetQueryObjectui64vEXT(GLuint id, GLenum pname, GLuint64 * params)`
      Part of `GL_EXT_timer_query`, `GL_EXT_disjoint_timer_query`
      Parameters:
        `params` - a direct or array-backed `LongBuffer`

    - #### glGetQueryObjectui64vEXT

          void glGetQueryObjectui64vEXT(int id,
                                      int pname,
                                      long[] params,
                                      int params_offset)

      Entry point to C language function: `void glGetQueryObjectui64vEXT(GLuint id, GLenum pname, GLuint64 * params)`
      Part of `GL_EXT_timer_query`, `GL_EXT_disjoint_timer_query`

    - #### glGetTranslatedShaderSourceANGLE

          void glGetTranslatedShaderSourceANGLE(int shader,
                                              int bufsize,
                                              IntBuffer length,
                                              ByteBuffer source)

      Entry point to C language function: `void glGetTranslatedShaderSourceANGLE(GLuint shader, GLsizei bufsize, GLsizei * length, GLchar * source)`
      Part of `GL_ANGLE_translated_shader_source`
      Parameters:
        `length` - a direct or array-backed `IntBuffer`
        `source` - a direct or array-backed `ByteBuffer`

    - #### glGetTranslatedShaderSourceANGLE

          void glGetTranslatedShaderSourceANGLE(int shader,
                                              int bufsize,
                                              int[] length,
                                              int length_offset,
                                              byte[] source,
                                              int source_offset)

      Entry point to C language function: `void glGetTranslatedShaderSourceANGLE(GLuint shader, GLsizei bufsize, GLsizei * length, GLchar * source)`
      Part of `GL_ANGLE_translated_shader_source`

    - #### glInsertEventMarkerEXT

          void glInsertEventMarkerEXT(int length,
                                    ByteBuffer marker)

      Entry point to C language function: `void glInsertEventMarkerEXT(GLsizei length, const GLchar * marker)`
      Part of `GL_EXT_debug_marker`
      Parameters:
        `marker` - a direct or array-backed `ByteBuffer`

    - #### glInsertEventMarkerEXT

          void glInsertEventMarkerEXT(int length,
                                    byte[] marker,
                                    int marker_offset)

      Entry point to C language function: `void glInsertEventMarkerEXT(GLsizei length, const GLchar * marker)`
      Part of `GL_EXT_debug_marker`

    - #### glIsFenceNV

          boolean glIsFenceNV(int arg0)

      Entry point to C language function: `GLboolean glIsFenceNV(GLuint)`
      Part of `GL_NV_fence`

    - #### glIsVertexArrayOES

          boolean glIsVertexArrayOES(int array)

      Entry point to C language function: `GLboolean glIsVertexArrayOES(GLuint array)`
      Part of `GL_OES_vertex_array_object`

    - #### glLabelObjectEXT

          void glLabelObjectEXT(int type,
                              int object,
                              int length,
                              ByteBuffer label)

      Entry point to C language function: `void glLabelObjectEXT(GLenum type, GLuint object, GLsizei length, const GLchar * label)`
      Part of `GL_EXT_debug_label`
      Parameters:
        `label` - a direct or array-backed `ByteBuffer`

    - #### glLabelObjectEXT

          void glLabelObjectEXT(int type,
                              int object,
                              int length,
                              byte[] label,
                              int label_offset)

      Entry point to C language function: `void glLabelObjectEXT(GLenum type, GLuint object, GLsizei length, const GLchar * label)`
      Part of `GL_EXT_debug_label`

    - #### glPopGroupMarkerEXT

          void glPopGroupMarkerEXT()

      Entry point to C language function: `void glPopGroupMarkerEXT(void)`
      Part of `GL_EXT_debug_marker`

    - #### glPushGroupMarkerEXT

          void glPushGroupMarkerEXT(int length,
                                  ByteBuffer marker)

      Entry point to C language function: `void glPushGroupMarkerEXT(GLsizei length, const GLchar * marker)`
      Part of `GL_EXT_debug_marker`
      Parameters:
        `marker` - a direct or array-backed `ByteBuffer`

    - #### glPushGroupMarkerEXT

          void glPushGroupMarkerEXT(int length,
                                  byte[] marker,
                                  int marker_offset)

      Entry point to C language function: `void glPushGroupMarkerEXT(GLsizei length, const GLchar * marker)`
      Part of `GL_EXT_debug_marker`

    - #### glQueryCounterEXT

          void glQueryCounterEXT(int id,
                               int target)

      Entry point to C language function: `void glQueryCounterEXT(GLuint id, GLenum target)`
      Part of `GL_EXT_disjoint_timer_query`

    - #### glReadBufferIndexedEXT

          void glReadBufferIndexedEXT(int src,
                                    int index)

      Entry point to C language function: `void glReadBufferIndexedEXT(GLenum src, GLint index)`
      Part of `GL_EXT_multiview_draw_buffers`

    - #### glReadBufferNV

          void glReadBufferNV(int mode)

      Entry point to C language function: `void glReadBufferNV(GLenum mode)`
      Part of `GL_NV_read_buffer`

    - #### glRenderbufferStorageMultisampleANGLE

          void glRenderbufferStorageMultisampleANGLE(int target,
                                                   int samples,
                                                   int internalformat,
                                                   int width,
                                                   int height)

      Entry point to C language function: `void glRenderbufferStorageMultisampleANGLE(GLenum target, GLsizei samples, GLenum internalformat, GLsizei width, GLsizei height)`
      Part of `GL_ANGLE_framebuffer_multisample`

    - #### glRenderbufferStorageMultisampleAPPLE

          void glRenderbufferStorageMultisampleAPPLE(int arg0,
                                                   int arg1,
                                                   int arg2,
                                                   int arg3,
                                                   int arg4)

      Entry point to C language function: `void glRenderbufferStorageMultisampleAPPLE(GLenum, GLsizei, GLenum, GLsizei, GLsizei)`
      Part of `GL_APPLE_framebuffer_multisample`

    - #### glRenderbufferStorageMultisampleIMG

          void glRenderbufferStorageMultisampleIMG(int arg0,
                                                 int arg1,
                                                 int arg2,
                                                 int arg3,
                                                 int arg4)

      Entry point to C language function: `void glRenderbufferStorageMultisampleIMG(GLenum, GLsizei, GLenum, GLsizei, GLsizei)`
      Part of `GL_IMG_multisampled_render_to_texture`

    - #### glRenderbufferStorageMultisampleNV

          void glRenderbufferStorageMultisampleNV(int target,
                                                int samples,
                                                int internalformat,
                                                int width,
                                                int height)

      Entry point to C language function: `void glRenderbufferStorageMultisampleNV(GLenum target, GLsizei samples, GLenum internalformat, GLsizei width, GLsizei height)`
      Part of `GL_NV_framebuffer_multisample`

    - #### glResolveMultisampleFramebufferAPPLE

          void glResolveMultisampleFramebufferAPPLE()

      Entry point to C language function: `void glResolveMultisampleFramebufferAPPLE(void)`
      Part of `GL_APPLE_framebuffer_multisample`

    - #### glSelectPerfMonitorCountersAMD

          void glSelectPerfMonitorCountersAMD(int monitor,
                                            boolean enable,
                                            int group,
                                            int numCounters,
                                            IntBuffer countersList)

      Entry point to C language function: `void glSelectPerfMonitorCountersAMD(GLuint monitor, GLboolean enable, GLuint group, GLint numCounters, GLuint * countersList)`
      Part of `GL_AMD_performance_monitor`
      Parameters:
        `countersList` - a direct or array-backed `IntBuffer`

    - #### glSelectPerfMonitorCountersAMD

          void glSelectPerfMonitorCountersAMD(int monitor,
                                            boolean enable,
                                            int group,
                                            int numCounters,
                                            int[] countersList,
                                            int countersList_offset)

      Entry point to C language function: `void glSelectPerfMonitorCountersAMD(GLuint monitor, GLboolean enable, GLuint group, GLint numCounters, GLuint * countersList)`
      Part of `GL_AMD_performance_monitor`

    - #### glSetFenceNV

          void glSetFenceNV(int arg0,
                          int arg1)

      Entry point to C language function: `void glSetFenceNV(GLuint, GLenum)`
      Part of `GL_NV_fence`

    - #### glStartTilingQCOM

          void glStartTilingQCOM(int x,
                               int y,
                               int width,
                               int height,
                               int preserveMask)

      Entry point to C language function: `void glStartTilingQCOM(GLuint x, GLuint y, GLuint width, GLuint height, GLbitfield preserveMask)`
      Part of `GL_QCOM_tiled_rendering`

    - #### glTestFenceNV

          boolean glTestFenceNV(int arg0)

      Entry point to C language function: `GLboolean glTestFenceNV(GLuint)`
      Part of `GL_NV_fence`

    - #### glVertexAttribDivisorANGLE

          void glVertexAttribDivisorANGLE(int index,
                                        int divisor)

      Entry point to C language function: `void glVertexAttribDivisorANGLE(GLuint index, GLuint divisor)`
      Part of `GL_ANGLE_instanced_arrays`

    - #### glVertexAttribDivisorNV

          void glVertexAttribDivisorNV(int index,
                                     int divisor)

      Entry point to C language function: `void glVertexAttribDivisorNV(GLuint index, GLuint divisor)`
      Part of `GL_NV_instanced_arrays`

    - #### glDrawElements

          void glDrawElements(int mode,
                            int count,
                            int type,
                            Buffer indices)

      Entry point to C language function: `void glDrawElements(GLenum mode, GLsizei count, GLenum type, const GLvoid * indices);`
      Part of `GL_VERSION_ES_CL_CM`, `GL_VERSION_1_1`, `GL_ES_VERSION_2_0`
      Parameters:
        `indices` - a direct or array-backed `Buffer`

    - #### glVertexAttribPointer

          void glVertexAttribPointer(int indx,
                                   int size,
                                   int type,
                                   boolean normalized,
                                   int stride,
                                   Buffer ptr)

      Entry point to C language function: `void glVertexAttribPointer(GLuint indx, GLint size, GLenum type, GLboolean normalized, GLsizei stride, const GLvoid * ptr);`
      Part of `GL_ES_VERSION_2_0`, `GL_VERSION_2_0`
      Parameters:
        `ptr` - a direct only `Buffer`

Copyright 2010 JogAmp Community.